import type { Bindings, ComputePass, ComputePassDescriptor, ComputePipeline } from '@antv/g-plugin-device-renderer';
export declare class ComputePass_GL implements ComputePass {
    descriptor: ComputePassDescriptor;
    /**
     * @see https://www.w3.org/TR/webgpu/#dom-gpucomputepassencoder-dispatch
     */
    dispatch(x: number, y?: number, z?: number): void;
    finish(): void;
    /**
     * @see https://www.w3.org/TR/webgpu/#dom-gpucommandencoder-begincomputepass
     */
    beginComputePass(computePassDescriptor: ComputePassDescriptor): void;
    setPipeline(pipeline_: ComputePipeline): void;
    setBindings(bindingLayoutIndex: number, bindings_: Bindings): void;
    private setComputePassDescriptor;
}
//# sourceMappingURL=ComputePass.d.ts.map