(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@antv/g-lite'), require('@antv/g-plugin-device-renderer')) :
  typeof define === 'function' && define.amd ? define(['exports', '@antv/g-lite', '@antv/g-plugin-device-renderer'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.G = global.G || {}, global.G.WebGLDevice = {}), global.window.G, global.window.G.DeviceRenderer));
}(this, (function (exports, gLite, gPluginDeviceRenderer) { 'use strict';

  function _regeneratorRuntime() {
    _regeneratorRuntime = function () {
      return exports;
    };
    var exports = {},
      Op = Object.prototype,
      hasOwn = Op.hasOwnProperty,
      defineProperty = Object.defineProperty || function (obj, key, desc) {
        obj[key] = desc.value;
      },
      $Symbol = "function" == typeof Symbol ? Symbol : {},
      iteratorSymbol = $Symbol.iterator || "@@iterator",
      asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator",
      toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";
    function define(obj, key, value) {
      return Object.defineProperty(obj, key, {
        value: value,
        enumerable: !0,
        configurable: !0,
        writable: !0
      }), obj[key];
    }
    try {
      define({}, "");
    } catch (err) {
      define = function (obj, key, value) {
        return obj[key] = value;
      };
    }
    function wrap(innerFn, outerFn, self, tryLocsList) {
      var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator,
        generator = Object.create(protoGenerator.prototype),
        context = new Context(tryLocsList || []);
      return defineProperty(generator, "_invoke", {
        value: makeInvokeMethod(innerFn, self, context)
      }), generator;
    }
    function tryCatch(fn, obj, arg) {
      try {
        return {
          type: "normal",
          arg: fn.call(obj, arg)
        };
      } catch (err) {
        return {
          type: "throw",
          arg: err
        };
      }
    }
    exports.wrap = wrap;
    var ContinueSentinel = {};
    function Generator() {}
    function GeneratorFunction() {}
    function GeneratorFunctionPrototype() {}
    var IteratorPrototype = {};
    define(IteratorPrototype, iteratorSymbol, function () {
      return this;
    });
    var getProto = Object.getPrototypeOf,
      NativeIteratorPrototype = getProto && getProto(getProto(values([])));
    NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype);
    var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype);
    function defineIteratorMethods(prototype) {
      ["next", "throw", "return"].forEach(function (method) {
        define(prototype, method, function (arg) {
          return this._invoke(method, arg);
        });
      });
    }
    function AsyncIterator(generator, PromiseImpl) {
      function invoke(method, arg, resolve, reject) {
        var record = tryCatch(generator[method], generator, arg);
        if ("throw" !== record.type) {
          var result = record.arg,
            value = result.value;
          return value && "object" == typeof value && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) {
            invoke("next", value, resolve, reject);
          }, function (err) {
            invoke("throw", err, resolve, reject);
          }) : PromiseImpl.resolve(value).then(function (unwrapped) {
            result.value = unwrapped, resolve(result);
          }, function (error) {
            return invoke("throw", error, resolve, reject);
          });
        }
        reject(record.arg);
      }
      var previousPromise;
      defineProperty(this, "_invoke", {
        value: function (method, arg) {
          function callInvokeWithMethodAndArg() {
            return new PromiseImpl(function (resolve, reject) {
              invoke(method, arg, resolve, reject);
            });
          }
          return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
        }
      });
    }
    function makeInvokeMethod(innerFn, self, context) {
      var state = "suspendedStart";
      return function (method, arg) {
        if ("executing" === state) throw new Error("Generator is already running");
        if ("completed" === state) {
          if ("throw" === method) throw arg;
          return doneResult();
        }
        for (context.method = method, context.arg = arg;;) {
          var delegate = context.delegate;
          if (delegate) {
            var delegateResult = maybeInvokeDelegate(delegate, context);
            if (delegateResult) {
              if (delegateResult === ContinueSentinel) continue;
              return delegateResult;
            }
          }
          if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) {
            if ("suspendedStart" === state) throw state = "completed", context.arg;
            context.dispatchException(context.arg);
          } else "return" === context.method && context.abrupt("return", context.arg);
          state = "executing";
          var record = tryCatch(innerFn, self, context);
          if ("normal" === record.type) {
            if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue;
            return {
              value: record.arg,
              done: context.done
            };
          }
          "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg);
        }
      };
    }
    function maybeInvokeDelegate(delegate, context) {
      var methodName = context.method,
        method = delegate.iterator[methodName];
      if (undefined === method) return context.delegate = null, "throw" === methodName && delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method) || "return" !== methodName && (context.method = "throw", context.arg = new TypeError("The iterator does not provide a '" + methodName + "' method")), ContinueSentinel;
      var record = tryCatch(method, delegate.iterator, context.arg);
      if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel;
      var info = record.arg;
      return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel);
    }
    function pushTryEntry(locs) {
      var entry = {
        tryLoc: locs[0]
      };
      1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry);
    }
    function resetTryEntry(entry) {
      var record = entry.completion || {};
      record.type = "normal", delete record.arg, entry.completion = record;
    }
    function Context(tryLocsList) {
      this.tryEntries = [{
        tryLoc: "root"
      }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0);
    }
    function values(iterable) {
      if (iterable) {
        var iteratorMethod = iterable[iteratorSymbol];
        if (iteratorMethod) return iteratorMethod.call(iterable);
        if ("function" == typeof iterable.next) return iterable;
        if (!isNaN(iterable.length)) {
          var i = -1,
            next = function next() {
              for (; ++i < iterable.length;) if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next;
              return next.value = undefined, next.done = !0, next;
            };
          return next.next = next;
        }
      }
      return {
        next: doneResult
      };
    }
    function doneResult() {
      return {
        value: undefined,
        done: !0
      };
    }
    return GeneratorFunction.prototype = GeneratorFunctionPrototype, defineProperty(Gp, "constructor", {
      value: GeneratorFunctionPrototype,
      configurable: !0
    }), defineProperty(GeneratorFunctionPrototype, "constructor", {
      value: GeneratorFunction,
      configurable: !0
    }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) {
      var ctor = "function" == typeof genFun && genFun.constructor;
      return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name));
    }, exports.mark = function (genFun) {
      return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun;
    }, exports.awrap = function (arg) {
      return {
        __await: arg
      };
    }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
      return this;
    }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) {
      void 0 === PromiseImpl && (PromiseImpl = Promise);
      var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl);
      return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) {
        return result.done ? result.value : iter.next();
      });
    }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () {
      return this;
    }), define(Gp, "toString", function () {
      return "[object Generator]";
    }), exports.keys = function (val) {
      var object = Object(val),
        keys = [];
      for (var key in object) keys.push(key);
      return keys.reverse(), function next() {
        for (; keys.length;) {
          var key = keys.pop();
          if (key in object) return next.value = key, next.done = !1, next;
        }
        return next.done = !0, next;
      };
    }, exports.values = values, Context.prototype = {
      constructor: Context,
      reset: function (skipTempReset) {
        if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined);
      },
      stop: function () {
        this.done = !0;
        var rootRecord = this.tryEntries[0].completion;
        if ("throw" === rootRecord.type) throw rootRecord.arg;
        return this.rval;
      },
      dispatchException: function (exception) {
        if (this.done) throw exception;
        var context = this;
        function handle(loc, caught) {
          return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught;
        }
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i],
            record = entry.completion;
          if ("root" === entry.tryLoc) return handle("end");
          if (entry.tryLoc <= this.prev) {
            var hasCatch = hasOwn.call(entry, "catchLoc"),
              hasFinally = hasOwn.call(entry, "finallyLoc");
            if (hasCatch && hasFinally) {
              if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
              if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
            } else if (hasCatch) {
              if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0);
            } else {
              if (!hasFinally) throw new Error("try statement without catch or finally");
              if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc);
            }
          }
        }
      },
      abrupt: function (type, arg) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) {
            var finallyEntry = entry;
            break;
          }
        }
        finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null);
        var record = finallyEntry ? finallyEntry.completion : {};
        return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record);
      },
      complete: function (record, afterLoc) {
        if ("throw" === record.type) throw record.arg;
        return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel;
      },
      finish: function (finallyLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel;
        }
      },
      catch: function (tryLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.tryLoc === tryLoc) {
            var record = entry.completion;
            if ("throw" === record.type) {
              var thrown = record.arg;
              resetTryEntry(entry);
            }
            return thrown;
          }
        }
        throw new Error("illegal catch attempt");
      },
      delegateYield: function (iterable, resultName, nextLoc) {
        return this.delegate = {
          iterator: values(iterable),
          resultName: resultName,
          nextLoc: nextLoc
        }, "next" === this.method && (this.arg = undefined), ContinueSentinel;
      }
    }, exports;
  }
  function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
      var info = gen[key](arg);
      var value = info.value;
    } catch (error) {
      reject(error);
      return;
    }
    if (info.done) {
      resolve(value);
    } else {
      Promise.resolve(value).then(_next, _throw);
    }
  }
  function _asyncToGenerator(fn) {
    return function () {
      var self = this,
        args = arguments;
      return new Promise(function (resolve, reject) {
        var gen = fn.apply(self, args);
        function _next(value) {
          asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
        }
        function _throw(err) {
          asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
        }
        _next(undefined);
      });
    };
  }
  function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];
        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }
      return target;
    };
    return _extends.apply(this, arguments);
  }
  function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;
    _setPrototypeOf(subClass, superClass);
  }
  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };
    return _setPrototypeOf(o, p);
  }
  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
  }
  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }
  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
    return arr2;
  }
  function _createForOfIteratorHelperLoose(o, allowArrayLike) {
    var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
    if (it) return (it = it.call(o)).next.bind(it);
    if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
      if (it) o = it;
      var i = 0;
      return function () {
        if (i >= o.length) return {
          done: true
        };
        return {
          done: false,
          value: o[i++]
        };
      };
    }
    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function createCommonjsModule(fn, basedir, module) {
  	return module = {
  		path: basedir,
  		exports: {},
  		require: function (path, base) {
  			return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
  		}
  	}, fn(module, module.exports), module.exports;
  }

  function commonjsRequire () {
  	throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
  }

  var eventemitter3 = createCommonjsModule(function (module) {

  var has = Object.prototype.hasOwnProperty
    , prefix = '~';

  /**
   * Constructor to create a storage for our `EE` objects.
   * An `Events` instance is a plain object whose properties are event names.
   *
   * @constructor
   * @private
   */
  function Events() {}

  //
  // We try to not inherit from `Object.prototype`. In some engines creating an
  // instance in this way is faster than calling `Object.create(null)` directly.
  // If `Object.create(null)` is not supported we prefix the event names with a
  // character to make sure that the built-in object properties are not
  // overridden or used as an attack vector.
  //
  if (Object.create) {
    Events.prototype = Object.create(null);

    //
    // This hack is needed because the `__proto__` property is still inherited in
    // some old browsers like Android 4, iPhone 5.1, Opera 11 and Safari 5.
    //
    if (!new Events().__proto__) prefix = false;
  }

  /**
   * Representation of a single event listener.
   *
   * @param {Function} fn The listener function.
   * @param {*} context The context to invoke the listener with.
   * @param {Boolean} [once=false] Specify if the listener is a one-time listener.
   * @constructor
   * @private
   */
  function EE(fn, context, once) {
    this.fn = fn;
    this.context = context;
    this.once = once || false;
  }

  /**
   * Add a listener for a given event.
   *
   * @param {EventEmitter} emitter Reference to the `EventEmitter` instance.
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn The listener function.
   * @param {*} context The context to invoke the listener with.
   * @param {Boolean} once Specify if the listener is a one-time listener.
   * @returns {EventEmitter}
   * @private
   */
  function addListener(emitter, event, fn, context, once) {
    if (typeof fn !== 'function') {
      throw new TypeError('The listener must be a function');
    }

    var listener = new EE(fn, context || emitter, once)
      , evt = prefix ? prefix + event : event;

    if (!emitter._events[evt]) emitter._events[evt] = listener, emitter._eventsCount++;
    else if (!emitter._events[evt].fn) emitter._events[evt].push(listener);
    else emitter._events[evt] = [emitter._events[evt], listener];

    return emitter;
  }

  /**
   * Clear event by name.
   *
   * @param {EventEmitter} emitter Reference to the `EventEmitter` instance.
   * @param {(String|Symbol)} evt The Event name.
   * @private
   */
  function clearEvent(emitter, evt) {
    if (--emitter._eventsCount === 0) emitter._events = new Events();
    else delete emitter._events[evt];
  }

  /**
   * Minimal `EventEmitter` interface that is molded against the Node.js
   * `EventEmitter` interface.
   *
   * @constructor
   * @public
   */
  function EventEmitter() {
    this._events = new Events();
    this._eventsCount = 0;
  }

  /**
   * Return an array listing the events for which the emitter has registered
   * listeners.
   *
   * @returns {Array}
   * @public
   */
  EventEmitter.prototype.eventNames = function eventNames() {
    var names = []
      , events
      , name;

    if (this._eventsCount === 0) return names;

    for (name in (events = this._events)) {
      if (has.call(events, name)) names.push(prefix ? name.slice(1) : name);
    }

    if (Object.getOwnPropertySymbols) {
      return names.concat(Object.getOwnPropertySymbols(events));
    }

    return names;
  };

  /**
   * Return the listeners registered for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @returns {Array} The registered listeners.
   * @public
   */
  EventEmitter.prototype.listeners = function listeners(event) {
    var evt = prefix ? prefix + event : event
      , handlers = this._events[evt];

    if (!handlers) return [];
    if (handlers.fn) return [handlers.fn];

    for (var i = 0, l = handlers.length, ee = new Array(l); i < l; i++) {
      ee[i] = handlers[i].fn;
    }

    return ee;
  };

  /**
   * Return the number of listeners listening to a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @returns {Number} The number of listeners.
   * @public
   */
  EventEmitter.prototype.listenerCount = function listenerCount(event) {
    var evt = prefix ? prefix + event : event
      , listeners = this._events[evt];

    if (!listeners) return 0;
    if (listeners.fn) return 1;
    return listeners.length;
  };

  /**
   * Calls each of the listeners registered for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @returns {Boolean} `true` if the event had listeners, else `false`.
   * @public
   */
  EventEmitter.prototype.emit = function emit(event, a1, a2, a3, a4, a5) {
    var evt = prefix ? prefix + event : event;

    if (!this._events[evt]) return false;

    var listeners = this._events[evt]
      , len = arguments.length
      , args
      , i;

    if (listeners.fn) {
      if (listeners.once) this.removeListener(event, listeners.fn, undefined, true);

      switch (len) {
        case 1: return listeners.fn.call(listeners.context), true;
        case 2: return listeners.fn.call(listeners.context, a1), true;
        case 3: return listeners.fn.call(listeners.context, a1, a2), true;
        case 4: return listeners.fn.call(listeners.context, a1, a2, a3), true;
        case 5: return listeners.fn.call(listeners.context, a1, a2, a3, a4), true;
        case 6: return listeners.fn.call(listeners.context, a1, a2, a3, a4, a5), true;
      }

      for (i = 1, args = new Array(len -1); i < len; i++) {
        args[i - 1] = arguments[i];
      }

      listeners.fn.apply(listeners.context, args);
    } else {
      var length = listeners.length
        , j;

      for (i = 0; i < length; i++) {
        if (listeners[i].once) this.removeListener(event, listeners[i].fn, undefined, true);

        switch (len) {
          case 1: listeners[i].fn.call(listeners[i].context); break;
          case 2: listeners[i].fn.call(listeners[i].context, a1); break;
          case 3: listeners[i].fn.call(listeners[i].context, a1, a2); break;
          case 4: listeners[i].fn.call(listeners[i].context, a1, a2, a3); break;
          default:
            if (!args) for (j = 1, args = new Array(len -1); j < len; j++) {
              args[j - 1] = arguments[j];
            }

            listeners[i].fn.apply(listeners[i].context, args);
        }
      }
    }

    return true;
  };

  /**
   * Add a listener for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn The listener function.
   * @param {*} [context=this] The context to invoke the listener with.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.on = function on(event, fn, context) {
    return addListener(this, event, fn, context, false);
  };

  /**
   * Add a one-time listener for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn The listener function.
   * @param {*} [context=this] The context to invoke the listener with.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.once = function once(event, fn, context) {
    return addListener(this, event, fn, context, true);
  };

  /**
   * Remove the listeners of a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn Only remove the listeners that match this function.
   * @param {*} context Only remove the listeners that have this context.
   * @param {Boolean} once Only remove one-time listeners.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.removeListener = function removeListener(event, fn, context, once) {
    var evt = prefix ? prefix + event : event;

    if (!this._events[evt]) return this;
    if (!fn) {
      clearEvent(this, evt);
      return this;
    }

    var listeners = this._events[evt];

    if (listeners.fn) {
      if (
        listeners.fn === fn &&
        (!once || listeners.once) &&
        (!context || listeners.context === context)
      ) {
        clearEvent(this, evt);
      }
    } else {
      for (var i = 0, events = [], length = listeners.length; i < length; i++) {
        if (
          listeners[i].fn !== fn ||
          (once && !listeners[i].once) ||
          (context && listeners[i].context !== context)
        ) {
          events.push(listeners[i]);
        }
      }

      //
      // Reset the array, or remove it completely if we have no more listeners.
      //
      if (events.length) this._events[evt] = events.length === 1 ? events[0] : events;
      else clearEvent(this, evt);
    }

    return this;
  };

  /**
   * Remove all listeners, or those of the specified event.
   *
   * @param {(String|Symbol)} [event] The event name.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.removeAllListeners = function removeAllListeners(event) {
    var evt;

    if (event) {
      evt = prefix ? prefix + event : event;
      if (this._events[evt]) clearEvent(this, evt);
    } else {
      this._events = new Events();
      this._eventsCount = 0;
    }

    return this;
  };

  //
  // Alias methods names because people roll like that.
  //
  EventEmitter.prototype.off = EventEmitter.prototype.removeListener;
  EventEmitter.prototype.addListener = EventEmitter.prototype.on;

  //
  // Expose the prefix.
  //
  EventEmitter.prefixed = prefix;

  //
  // Allow `EventEmitter` to be imported as module namespace.
  //
  EventEmitter.EventEmitter = EventEmitter;

  //
  // Expose the module.
  //
  {
    module.exports = EventEmitter;
  }
  });

  var ResourceBase_GL = /*#__PURE__*/function (_EventEmitter) {
    _inheritsLoose(ResourceBase_GL, _EventEmitter);
    function ResourceBase_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device;
      _this = _EventEmitter.call(this) || this;
      _this.id = void 0;
      _this.name = void 0;
      _this.device = void 0;
      _this.id = id;
      _this.device = device;
      if (_this.device.resourceCreationTracker !== null) {
        _this.device.resourceCreationTracker.trackResourceCreated(_assertThisInitialized(_this));
      }
      return _this;
    }
    var _proto = ResourceBase_GL.prototype;
    _proto.destroy = function destroy() {
      if (this.device.resourceCreationTracker !== null) {
        this.device.resourceCreationTracker.trackResourceDestroyed(this);
      }
    };
    return ResourceBase_GL;
  }(eventemitter3);

  var Bindings_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(Bindings_GL, _ResourceBase_GL);
    function Bindings_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.Bindings;
      _this.uniformBufferBindings = void 0;
      _this.samplerBindings = void 0;
      var bindingLayout = descriptor.bindingLayout,
        uniformBufferBindings = descriptor.uniformBufferBindings,
        samplerBindings = descriptor.samplerBindings;
      gPluginDeviceRenderer.assert(uniformBufferBindings.length >= bindingLayout.numUniformBuffers);
      gPluginDeviceRenderer.assert(samplerBindings.length >= bindingLayout.numSamplers);
      for (var i = 0; i < bindingLayout.numUniformBuffers; i++) {
        gPluginDeviceRenderer.assert(uniformBufferBindings[i].wordCount > 0);
      }
      _this.uniformBufferBindings = descriptor.uniformBufferBindings;
      _this.samplerBindings = descriptor.samplerBindings;
      return _this;
    }
    return Bindings_GL;
  }(ResourceBase_GL);

  // isFinite,
  var isNil = function (value) {
      /**
       * isNil(null) => true
       * isNil() => true
       */
      return value === null || value === undefined;
  };

  var toString = {}.toString;
  var isType = function (value, type) { return toString.call(value) === '[object ' + type + ']'; };

  var clamp = function (a, min, max) {
      if (a < min) {
          return min;
      }
      else if (a > max) {
          return max;
      }
      return a;
  };

  /**
   * 判断是否数字
   * @return {Boolean} 是否数字
   */
  var isNumber = function (value) {
      return isType(value, 'Number');
  };

  // @see https://github.com/visgl/luma.gl/blob/30a1039573576d73641de7c1ba222e8992eb526e/modules/gltools/src/utils/webgl-checks.ts#L22
  function isWebGL2(gl) {
    if (typeof WebGL2RenderingContext !== 'undefined' && gl instanceof WebGL2RenderingContext) {
      return true;
    }
    // Look for debug contexts, headless gl etc
    // @ts-ignore
    return Boolean(gl && gl._version === 2);
  }
  function isTextureFormatCompressed(fmt) {
    var typeFlags = gPluginDeviceRenderer.getFormatTypeFlags(fmt);
    switch (typeFlags) {
      case gPluginDeviceRenderer.FormatTypeFlags.BC1:
      case gPluginDeviceRenderer.FormatTypeFlags.BC2:
      case gPluginDeviceRenderer.FormatTypeFlags.BC3:
      case gPluginDeviceRenderer.FormatTypeFlags.BC4_UNORM:
      case gPluginDeviceRenderer.FormatTypeFlags.BC4_SNORM:
      case gPluginDeviceRenderer.FormatTypeFlags.BC5_UNORM:
      case gPluginDeviceRenderer.FormatTypeFlags.BC5_SNORM:
        return true;
      default:
        return false;
    }
  }
  function isFormatSizedInteger(fmt) {
    var flags = gPluginDeviceRenderer.getFormatFlags(fmt);
    if (flags & gPluginDeviceRenderer.FormatFlags.Normalized) return false;
    var typeFlags = gPluginDeviceRenderer.getFormatTypeFlags(fmt);
    // Check for integer types.
    if (typeFlags === gPluginDeviceRenderer.FormatTypeFlags.S8 || typeFlags === gPluginDeviceRenderer.FormatTypeFlags.S16 || typeFlags === gPluginDeviceRenderer.FormatTypeFlags.S32) return true;
    if (typeFlags === gPluginDeviceRenderer.FormatTypeFlags.U8 || typeFlags === gPluginDeviceRenderer.FormatTypeFlags.U16 || typeFlags === gPluginDeviceRenderer.FormatTypeFlags.U32) return true;
    return false;
  }
  function translateBufferHint(hint) {
    switch (hint) {
      case gPluginDeviceRenderer.BufferFrequencyHint.Static:
        return gPluginDeviceRenderer.GL.STATIC_DRAW;
      case gPluginDeviceRenderer.BufferFrequencyHint.Dynamic:
        return gPluginDeviceRenderer.GL.DYNAMIC_DRAW;
    }
  }
  function translateBufferUsageToTarget(usage) {
    if (usage & gPluginDeviceRenderer.BufferUsage.INDEX) {
      return gPluginDeviceRenderer.GL.ELEMENT_ARRAY_BUFFER;
    } else if (usage & gPluginDeviceRenderer.BufferUsage.VERTEX) {
      return gPluginDeviceRenderer.GL.ARRAY_BUFFER;
    } else if (usage & gPluginDeviceRenderer.BufferUsage.UNIFORM) {
      return gPluginDeviceRenderer.GL.UNIFORM_BUFFER;
    }
  }
  function translatePrimitiveTopology(topology) {
    switch (topology) {
      case gPluginDeviceRenderer.PrimitiveTopology.Triangles:
        return gPluginDeviceRenderer.GL.TRIANGLES;
      case gPluginDeviceRenderer.PrimitiveTopology.Points:
        return gPluginDeviceRenderer.GL.POINTS;
      case gPluginDeviceRenderer.PrimitiveTopology.TriangleStrip:
        return gPluginDeviceRenderer.GL.TRIANGLE_STRIP;
      case gPluginDeviceRenderer.PrimitiveTopology.Lines:
        return gPluginDeviceRenderer.GL.LINES;
      case gPluginDeviceRenderer.PrimitiveTopology.LineStrip:
        return gPluginDeviceRenderer.GL.LINE_STRIP;
      default:
        throw new Error('Unknown primitive topology mode');
    }
  }
  function translateType(flags) {
    switch (flags) {
      case gPluginDeviceRenderer.FormatTypeFlags.U8:
        return gPluginDeviceRenderer.GL.UNSIGNED_BYTE;
      case gPluginDeviceRenderer.FormatTypeFlags.U16:
        return gPluginDeviceRenderer.GL.UNSIGNED_SHORT;
      case gPluginDeviceRenderer.FormatTypeFlags.U32:
        return gPluginDeviceRenderer.GL.UNSIGNED_INT;
      case gPluginDeviceRenderer.FormatTypeFlags.S8:
        return gPluginDeviceRenderer.GL.BYTE;
      case gPluginDeviceRenderer.FormatTypeFlags.S16:
        return gPluginDeviceRenderer.GL.SHORT;
      case gPluginDeviceRenderer.FormatTypeFlags.S32:
        return gPluginDeviceRenderer.GL.INT;
      case gPluginDeviceRenderer.FormatTypeFlags.F16:
        return gPluginDeviceRenderer.GL.HALF_FLOAT;
      case gPluginDeviceRenderer.FormatTypeFlags.F32:
        return gPluginDeviceRenderer.GL.FLOAT;
      default:
        throw new Error('whoops');
    }
  }
  function translateSize(flags) {
    switch (flags) {
      case gPluginDeviceRenderer.FormatCompFlags.R:
        return 1;
      case gPluginDeviceRenderer.FormatCompFlags.RG:
        return 2;
      case gPluginDeviceRenderer.FormatCompFlags.RGB:
        return 3;
      case gPluginDeviceRenderer.FormatCompFlags.RGBA:
        return 4;
      default:
        return 1;
    }
  }
  function translateVertexFormat(fmt) {
    var typeFlags = gPluginDeviceRenderer.getFormatTypeFlags(fmt);
    var compFlags = gPluginDeviceRenderer.getFormatCompFlags(fmt);
    var flags = gPluginDeviceRenderer.getFormatFlags(fmt);
    var type = translateType(typeFlags);
    var size = translateSize(compFlags);
    var normalized = !!(flags & gPluginDeviceRenderer.FormatFlags.Normalized);
    return {
      size: size,
      type: type,
      normalized: normalized
    };
  }
  function translateIndexFormat(format) {
    switch (format) {
      case gPluginDeviceRenderer.Format.U8_R:
        return gPluginDeviceRenderer.GL.UNSIGNED_BYTE;
      case gPluginDeviceRenderer.Format.U16_R:
        return gPluginDeviceRenderer.GL.UNSIGNED_SHORT;
      case gPluginDeviceRenderer.Format.U32_R:
        return gPluginDeviceRenderer.GL.UNSIGNED_INT;
      default:
        throw new Error('whoops');
    }
  }
  function translateWrapMode(wrapMode) {
    switch (wrapMode) {
      case gPluginDeviceRenderer.WrapMode.Clamp:
        return gPluginDeviceRenderer.GL.CLAMP_TO_EDGE;
      case gPluginDeviceRenderer.WrapMode.Repeat:
        return gPluginDeviceRenderer.GL.REPEAT;
      case gPluginDeviceRenderer.WrapMode.Mirror:
        return gPluginDeviceRenderer.GL.MIRRORED_REPEAT;
      default:
        throw new Error('whoops');
    }
  }
  function translateFilterMode(filter, mipFilter) {
    if (mipFilter === gPluginDeviceRenderer.MipFilterMode.Linear && filter === gPluginDeviceRenderer.TexFilterMode.Bilinear) {
      return gPluginDeviceRenderer.GL.LINEAR_MIPMAP_LINEAR;
    }
    if (mipFilter === gPluginDeviceRenderer.MipFilterMode.Linear && filter === gPluginDeviceRenderer.TexFilterMode.Point) {
      return gPluginDeviceRenderer.GL.NEAREST_MIPMAP_LINEAR;
    }
    if (mipFilter === gPluginDeviceRenderer.MipFilterMode.Nearest && filter === gPluginDeviceRenderer.TexFilterMode.Bilinear) {
      return gPluginDeviceRenderer.GL.LINEAR_MIPMAP_NEAREST;
    }
    if (mipFilter === gPluginDeviceRenderer.MipFilterMode.Nearest && filter === gPluginDeviceRenderer.TexFilterMode.Point) {
      return gPluginDeviceRenderer.GL.NEAREST_MIPMAP_NEAREST;
    }
    if (mipFilter === gPluginDeviceRenderer.MipFilterMode.NoMip && filter === gPluginDeviceRenderer.TexFilterMode.Bilinear) {
      return gPluginDeviceRenderer.GL.LINEAR;
    }
    if (mipFilter === gPluginDeviceRenderer.MipFilterMode.NoMip && filter === gPluginDeviceRenderer.TexFilterMode.Point) {
      return gPluginDeviceRenderer.GL.NEAREST;
    }
    throw new Error('Unknown texture filter mode');
  }
  function getPlatformBuffer(buffer_, byteOffset) {
    if (byteOffset === void 0) {
      byteOffset = 0;
    }
    var buffer = buffer_;
    return buffer.gl_buffer_pages[byteOffset / buffer.pageByteSize | 0];
  }
  function getPlatformTexture(texture_) {
    var texture = texture_;
    return texture.gl_texture;
  }
  function getPlatformSampler(sampler_) {
    var sampler = sampler_;
    return sampler.gl_sampler;
  }
  function assignPlatformName(o, name) {
    o.name = name;
    o.__SPECTOR_Metadata = {
      name: name
    };
  }
  function findall(haystack, needle) {
    var results = [];
    while (true) {
      var result = needle.exec(haystack);
      if (!result) break;
      results.push(result);
    }
    return results;
  }
  function isBlendStateNone(blendState) {
    return blendState.blendMode == gPluginDeviceRenderer.BlendMode.Add && blendState.blendSrcFactor == gPluginDeviceRenderer.BlendFactor.One && blendState.blendDstFactor === gPluginDeviceRenderer.BlendFactor.Zero;
  }
  function translateQueryPoolType(type) {
    switch (type) {
      case gPluginDeviceRenderer.QueryPoolType.OcclusionConservative:
        return gPluginDeviceRenderer.GL.ANY_SAMPLES_PASSED_CONSERVATIVE;
      default:
        throw new Error('whoops');
    }
  }
  function translateTextureDimension(dimension) {
    if (dimension === gPluginDeviceRenderer.TextureDimension.n2D) return gPluginDeviceRenderer.GL.TEXTURE_2D;else if (dimension === gPluginDeviceRenderer.TextureDimension.n2DArray) return gPluginDeviceRenderer.GL.TEXTURE_2D_ARRAY;else if (dimension === gPluginDeviceRenderer.TextureDimension.Cube) return gPluginDeviceRenderer.GL.TEXTURE_CUBE_MAP;else if (dimension === gPluginDeviceRenderer.TextureDimension.n3D) return gPluginDeviceRenderer.GL.TEXTURE_3D;else throw new Error('whoops');
  }
  function isBlockCompressSized(w, h, bw, bh) {
    if (w % bw !== 0) return false;
    if (h % bh !== 0) return false;
    return true;
  }

  var Buffer_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(Buffer_GL, _ResourceBase_GL);
    function Buffer_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.Buffer;
      _this.gl_buffer_pages = void 0;
      _this.gl_target = void 0;
      _this.usage = void 0;
      _this.byteSize = void 0;
      _this.pageByteSize = void 0;
      var viewOrSize = descriptor.viewOrSize,
        usage = descriptor.usage,
        hint = descriptor.hint;
      var uniformBufferMaxPageByteSize = device.uniformBufferMaxPageByteSize,
        gl = device.gl;
      var isStorageTexture = usage & gPluginDeviceRenderer.BufferUsage.STORAGE;
      if (isStorageTexture) {
        // // Use Texture as storage instead of Buffer.
        // const texture = this.createTexture({
        //   dimension: TextureDimension.n2D,
        //   pixelFormat: Format.U8_RGBA_NORM,
        //   usage: TextureUsage.Sampled,
        //   width: 1,
        //   height: 1,
        //   depth: 1,
        //   numLevels: 1,
        //   immutable: true,
        // });
        // texture.setImageData([new Uint8Array(4 * depth)], 0);
        // Create later.
        return _assertThisInitialized(_this) || _assertThisInitialized(_this);
      }
      var isUBO = usage & gPluginDeviceRenderer.BufferUsage.UNIFORM;
      if (!isUBO) {
        if (isWebGL2(gl)) {
          // Temporarily unbind VAO when creating buffers to not stomp on the VAO configuration.
          gl.bindVertexArray(null);
        } else {
          device.OES_vertex_array_object.bindVertexArrayOES(null);
        }
      }
      var byteSize = isNumber(viewOrSize) ? viewOrSize * 4 : viewOrSize.byteLength * 4;
      _this.gl_buffer_pages = [];
      var pageByteSize;
      if (isUBO) {
        gPluginDeviceRenderer.assert(byteSize % uniformBufferMaxPageByteSize === 0);
        var byteSizeLeft = byteSize;
        while (byteSizeLeft > 0) {
          _this.gl_buffer_pages.push(_this.createBufferPage(Math.min(byteSizeLeft, uniformBufferMaxPageByteSize), usage, hint));
          byteSizeLeft -= uniformBufferMaxPageByteSize;
        }
        pageByteSize = uniformBufferMaxPageByteSize;
        // TODO: uniform in WebGL1
      } else {
        _this.gl_buffer_pages.push(_this.createBufferPage(byteSize, usage, hint));
        pageByteSize = byteSize;
      }
      _this.pageByteSize = pageByteSize;
      _this.byteSize = byteSize;
      _this.usage = usage;
      _this.gl_target = translateBufferUsageToTarget(usage);
      if (!isUBO) {
        if (isWebGL2(gl)) {
          gl.bindVertexArray(_this.device.currentBoundVAO);
        } else {
          device.OES_vertex_array_object.bindVertexArrayOES(_this.device.currentBoundVAO);
        }
      }
      return _this;
    }
    var _proto = Buffer_GL.prototype;
    _proto.setSubData = function setSubData(dstByteOffset, data, srcByteOffset, byteSize) {
      if (srcByteOffset === void 0) {
        srcByteOffset = 0;
      }
      if (byteSize === void 0) {
        byteSize = data.byteLength - srcByteOffset;
      }
      var gl = this.device.gl;
      var gl_target = this.gl_target,
        dstByteSize = this.byteSize,
        dstPageByteSize = this.pageByteSize;
      // Account for setSubData being called with a dstByteOffset that is beyond the end of the buffer.
      // if (isWebGL2(gl) && gl_target === gl.UNIFORM_BUFFER) {
      //   // Manually check asserts for speed.
      //   if (!(dstByteOffset % dstPageByteSize === 0))
      //     throw new Error(
      //       `Assert fail: (dstByteOffset [${dstByteOffset}] % dstPageByteSize [${dstPageByteSize}]) === 0`,
      //     );
      //   if (!(byteSize % dstPageByteSize === 0))
      //     throw new Error(
      //       `Assert fail: (byteSize [${byteSize}] % dstPageByteSize [${dstPageByteSize}]) === 0`,
      //     );
      // }
      if (!(dstByteOffset + byteSize <= dstByteSize)) {
        throw new Error("Assert fail: (dstByteOffset [" + dstByteOffset + "] + byteSize [" + byteSize + "]) <= dstByteSize [" + dstByteSize + "], gl_target " + gl_target);
        // exceed, need to recreate
      }

      var virtBufferByteOffsetEnd = dstByteOffset + byteSize;
      var virtBufferByteOffset = dstByteOffset;
      var physBufferByteOffset = dstByteOffset % dstPageByteSize;
      while (virtBufferByteOffset < virtBufferByteOffsetEnd) {
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/bindBuffer#parameters
        var target = isWebGL2(gl) ? gl.COPY_WRITE_BUFFER : this.gl_target;
        gl.bindBuffer(target, getPlatformBuffer(this, virtBufferByteOffset));
        // only WebGL2 support srcOffset & length
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/bufferSubData
        if (isWebGL2(gl)) {
          gl.bufferSubData(target, physBufferByteOffset, data, srcByteOffset, Math.min(virtBufferByteOffsetEnd - virtBufferByteOffset, dstPageByteSize));
        } else {
          gl.bufferSubData(target, physBufferByteOffset, data);
        }
        virtBufferByteOffset += dstPageByteSize;
        physBufferByteOffset = 0;
        srcByteOffset += dstPageByteSize;
        this.device.debugGroupStatisticsBufferUpload();
      }
    };
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      for (var i = 0; i < this.gl_buffer_pages.length; i++) {
        // no ubo in WebGL1
        // @ts-ignore
        if (!this.gl_buffer_pages[i].ubo) {
          this.device.gl.deleteBuffer(this.gl_buffer_pages[i]);
        }
      }
    };
    _proto.createBufferPage = function createBufferPage(byteSize, usage, hint) {
      var gl = this.device.gl;
      var isUBO = usage & gPluginDeviceRenderer.BufferUsage.UNIFORM;
      if (!isWebGL2(gl) && isUBO) {
        return {
          ubo: true
        };
      } else {
        var gl_buffer = this.device.ensureResourceExists(gl.createBuffer());
        var gl_target = translateBufferUsageToTarget(usage);
        var gl_hint = translateBufferHint(hint);
        gl.bindBuffer(gl_target, gl_buffer);
        gl.bufferData(gl_target, byteSize, gl_hint);
        return gl_buffer;
      }
    };
    return Buffer_GL;
  }(ResourceBase_GL);

  var InputLayout_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(InputLayout_GL, _ResourceBase_GL);
    function InputLayout_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.InputLayout;
      _this.vertexAttributeDescriptors = void 0;
      _this.vertexBufferDescriptors = void 0;
      _this.indexBufferFormat = void 0;
      var vertexAttributeDescriptors = descriptor.vertexAttributeDescriptors,
        vertexBufferDescriptors = descriptor.vertexBufferDescriptors,
        indexBufferFormat = descriptor.indexBufferFormat;
      gPluginDeviceRenderer.assert(indexBufferFormat === gPluginDeviceRenderer.Format.U16_R || indexBufferFormat === gPluginDeviceRenderer.Format.U32_R || indexBufferFormat === null);
      _this.vertexAttributeDescriptors = vertexAttributeDescriptors;
      _this.vertexBufferDescriptors = vertexBufferDescriptors;
      _this.indexBufferFormat = indexBufferFormat;
      return _this;
    }
    return InputLayout_GL;
  }(ResourceBase_GL);

  var InputState_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(InputState_GL, _ResourceBase_GL);
    function InputState_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        inputLayout = _ref.inputLayout,
        vertexBuffers = _ref.vertexBuffers,
        indexBufferBinding = _ref.indexBufferBinding,
        program = _ref.program;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.InputState;
      _this.vao = void 0;
      _this.indexBufferByteOffset = void 0;
      _this.indexBufferType = void 0;
      _this.indexBufferCompByteSize = void 0;
      _this.inputLayout = void 0;
      _this.vertexBuffers = void 0;
      var gl = _this.device.gl;
      var vao = _this.device.ensureResourceExists(isWebGL2(gl) ? gl.createVertexArray() : device.OES_vertex_array_object.createVertexArrayOES());
      if (isWebGL2(gl)) {
        gl.bindVertexArray(vao);
      } else {
        device.OES_vertex_array_object.bindVertexArrayOES(vao);
      }
      device.currentBoundVAO = vao;
      for (var i = 0; i < inputLayout.vertexAttributeDescriptors.length; i++) {
        var _program$attributes$a;
        var attr = inputLayout.vertexAttributeDescriptors[i];
        var format = attr.format,
          _attr$divisor = attr.divisor,
          divisor = _attr$divisor === void 0 ? 1 : _attr$divisor,
          byteStride = attr.byteStride,
          bufferByteOffset = attr.bufferByteOffset,
          bufferIndex = attr.bufferIndex;
        // find location by name in WebGL1
        var location = isWebGL2(gl) ? attr.location : (_program$attributes$a = program.attributes[attr.location]) === null || _program$attributes$a === void 0 ? void 0 : _program$attributes$a.location;
        if (!isNil(location)) {
          if (isFormatSizedInteger(format)) ;
          var _translateVertexForma = translateVertexFormat(format),
            size = _translateVertexForma.size,
            type = _translateVertexForma.type,
            normalized = _translateVertexForma.normalized;
          var vertexBuffer = vertexBuffers[bufferIndex];
          if (vertexBuffer === null) continue;
          var inputLayoutBuffer = gPluginDeviceRenderer.assertExists(inputLayout.vertexBufferDescriptors[bufferIndex]);
          var buffer = vertexBuffer.buffer;
          gPluginDeviceRenderer.assert(!!(buffer.usage & gPluginDeviceRenderer.BufferUsage.VERTEX));
          gl.bindBuffer(gl.ARRAY_BUFFER, getPlatformBuffer(vertexBuffer.buffer));
          var bufferOffset = vertexBuffer.byteOffset + bufferByteOffset;
          gl.vertexAttribPointer(location, size, type, normalized, byteStride || inputLayoutBuffer.byteStride, bufferOffset);
          if (inputLayoutBuffer.frequency === gPluginDeviceRenderer.VertexBufferFrequency.PerInstance) {
            if (isWebGL2(gl)) {
              // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/vertexAttribDivisor
              gl.vertexAttribDivisor(location, divisor);
            } else {
              device.ANGLE_instanced_arrays.vertexAttribDivisorANGLE(location, divisor);
            }
          }
          gl.enableVertexAttribArray(location);
        }
      }
      var indexBufferType = null;
      var indexBufferCompByteSize = null;
      var indexBufferByteOffset = null;
      if (indexBufferBinding !== null) {
        var _buffer = indexBufferBinding.buffer;
        gPluginDeviceRenderer.assert(!!(_buffer.usage & gPluginDeviceRenderer.BufferUsage.INDEX));
        gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, getPlatformBuffer(indexBufferBinding.buffer));
        indexBufferType = translateIndexFormat(gPluginDeviceRenderer.assertExists(inputLayout.indexBufferFormat));
        indexBufferCompByteSize = gPluginDeviceRenderer.getFormatCompByteSize(inputLayout.indexBufferFormat);
        indexBufferByteOffset = indexBufferBinding.byteOffset;
      }
      if (isWebGL2(gl)) {
        gl.bindVertexArray(null);
      } else {
        device.OES_vertex_array_object.bindVertexArrayOES(null);
      }
      device.currentBoundVAO = null;
      _this.vao = vao;
      _this.indexBufferByteOffset = indexBufferByteOffset;
      _this.indexBufferType = indexBufferType;
      _this.indexBufferCompByteSize = indexBufferCompByteSize;
      _this.inputLayout = inputLayout;
      _this.vertexBuffers = vertexBuffers;
      return _this;
    }
    var _proto = InputState_GL.prototype;
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      if (this.device.currentBoundVAO === this.vao) {
        if (isWebGL2(this.device.gl)) {
          this.device.gl.bindVertexArray(null);
          this.device.gl.deleteVertexArray(this.vao);
        } else {
          this.device.OES_vertex_array_object.bindVertexArrayOES(null);
          this.device.OES_vertex_array_object.deleteVertexArrayOES(this.vao);
        }
        this.device.currentBoundVAO = null;
      }
    };
    return InputState_GL;
  }(ResourceBase_GL);

  var Texture_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(Texture_GL, _ResourceBase_GL);
    // @see https://developer.mozilla.org/zh-CN/docs/Web/API/WebGLRenderingContext/pixelStorei

    // used in WebGL1
    function Texture_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor,
        fake = _ref.fake;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.Texture;
      _this.gl_texture = void 0;
      _this.gl_target = void 0;
      _this.pixelFormat = void 0;
      _this.width = void 0;
      _this.height = void 0;
      _this.depth = void 0;
      _this.numLevels = void 0;
      _this.immutable = void 0;
      _this.pixelStore = void 0;
      _this.mipmaps = void 0;
      _this.formatKind = void 0;
      _this.textureIndex = void 0;
      var gl = _this.device.gl;
      var gl_target;
      var gl_texture;
      var numLevels = _this.clampNumLevels(descriptor);
      _this.immutable = !!descriptor.immutable;
      _this.pixelStore = descriptor.pixelStore;
      _this.pixelFormat = descriptor.pixelFormat;
      _this.formatKind = gPluginDeviceRenderer.getFormatSamplerKind(descriptor.pixelFormat);
      _this.width = descriptor.width;
      _this.height = descriptor.height;
      _this.depth = descriptor.depth;
      _this.mipmaps = numLevels >= 1;
      if (!fake) {
        gl_texture = _this.device.ensureResourceExists(gl.createTexture());
        var gl_type = _this.device.translateTextureType(descriptor.pixelFormat);
        var internalformat = _this.device.translateTextureInternalFormat(descriptor.pixelFormat);
        _this.device.setActiveTexture(gl.TEXTURE0);
        _this.device.currentTextures[0] = null;
        _this.preprocessImage();
        if (descriptor.dimension === gPluginDeviceRenderer.TextureDimension.n2D) {
          gl_target = gPluginDeviceRenderer.GL.TEXTURE_2D;
          gl.bindTexture(gl_target, gl_texture);
          if (_this.immutable) {
            if (isWebGL2(gl)) {
              // texStorage2D will create an immutable texture(fixed size)
              // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/texStorage2D
              // @see https://github.com/visgl/luma.gl/issues/193
              // @see https://github.com/WebGLSamples/WebGL2Samples/blob/master/samples/texture_immutable.html
              gl.texStorage2D(gl_target, numLevels, internalformat, descriptor.width, descriptor.height);
            } else {
              // texImage2D: level must be 0 for DEPTH_COMPONENT format
              // const level = internalformat === GL.DEPTH_COMPONENT || this.isNPOT() ? 0 : numLevels;
              var level = internalformat === gPluginDeviceRenderer.GL.DEPTH_COMPONENT || _this.isNPOT() ? 0 : 0;
              // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/texImage2D
              gl.texImage2D(gl_target, level, internalformat, descriptor.width, descriptor.height, 0, internalformat, gl_type, null);
              // @see https://stackoverflow.com/questions/21954036/dartweb-gl-render-warning-texture-bound-to-texture-unit-0-is-not-renderable
              // [.WebGL-0x106ad0400]RENDER WARNING: texture bound to texture unit 0 is not renderable. It might be non-power-of-2 or have incompatible texture filtering (maybe)?
              if (_this.mipmaps && _this.isNPOT()) {
                _this.mipmaps = false;
                gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_MIN_FILTER, gPluginDeviceRenderer.GL.LINEAR);
                gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_WRAP_S, gPluginDeviceRenderer.GL.CLAMP_TO_EDGE);
                gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_WRAP_T, gPluginDeviceRenderer.GL.CLAMP_TO_EDGE);
              }
            }
          }
          gPluginDeviceRenderer.assert(descriptor.depth === 1);
        } else if (descriptor.dimension === gPluginDeviceRenderer.TextureDimension.n2DArray) {
          gl_target = gPluginDeviceRenderer.GL.TEXTURE_2D_ARRAY;
          gl.bindTexture(gl_target, gl_texture);
          if (isWebGL2(gl)) {
            // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/texStorage3D
            gl.texStorage3D(gl_target, numLevels, internalformat, descriptor.width, descriptor.height, descriptor.depth);
          }
        } else if (descriptor.dimension === gPluginDeviceRenderer.TextureDimension.n3D) {
          gl_target = gPluginDeviceRenderer.GL.TEXTURE_3D;
          gl.bindTexture(gl_target, gl_texture);
          if (isWebGL2(gl)) {
            gl.texStorage3D(gl_target, numLevels, internalformat, descriptor.width, descriptor.height, descriptor.depth);
          }
        } else if (descriptor.dimension === gPluginDeviceRenderer.TextureDimension.Cube) {
          gl_target = gPluginDeviceRenderer.GL.TEXTURE_CUBE_MAP;
          gl.bindTexture(gl_target, gl_texture);
          if (isWebGL2(gl)) {
            gl.texStorage2D(gl_target, numLevels, internalformat, descriptor.width, descriptor.height);
          }
          gPluginDeviceRenderer.assert(descriptor.depth === 6);
        } else {
          throw new Error('whoops');
        }
      }
      _this.gl_texture = gl_texture;
      _this.gl_target = gl_target;
      _this.numLevels = numLevels;
      return _this;
    }
    var _proto = Texture_GL.prototype;
    _proto.setImageData = function setImageData(data, level) {
      var gl = this.device.gl;
      // const isCompressed = isTextureFormatCompressed(this.pixelFormat);
      // const is3D = this.gl_target === GL.TEXTURE_3D || this.gl_target === GL.TEXTURE_2D_ARRAY;
      // const isCube = this.gl_target === GL.TEXTURE_CUBE_MAP;
      var isArray = Array.isArray(data);
      this.device.setActiveTexture(gl.TEXTURE0);
      this.device.currentTextures[0] = null;
      var width;
      var height;
      if (isArray) {
        width = this.width;
        height = this.height;
      } else {
        width = data.width;
        height = data.height;
        // update size
        this.width = width;
        this.height = height;
      }
      gl.bindTexture(this.gl_target, this.gl_texture);
      // let w = this.width;
      // let h = this.height;
      // let d = this.depth;
      // const maxMipLevel = Math.min(firstMipLevel + levelDatasSize, this.numLevels);
      var gl_format = this.device.translateTextureFormat(this.pixelFormat);
      var gl_type = this.device.translateTextureType(this.pixelFormat);
      this.preprocessImage();
      if (this.immutable) {
        // must use texSubImage2D instead of texImage2D, since texture is immutable
        // @see https://stackoverflow.com/questions/56123201/unity-plugin-texture-is-immutable?rq=1
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/texSubImage2D
        gl.texSubImage2D(this.gl_target, 0, 0, 0, width, height, gl_format, gl_type,
        // @ts-ignore
        isArray ? data[0] : data);
      } else {
        if (isWebGL2(gl)) {
          // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/texImage2D
          gl.texImage2D(this.gl_target,
          // level,
          0, gl_format, width, height, 0,
          // border must be 0
          gl_format,
          // TODO: can be different with gl_format
          gl_type,
          // @ts-ignore
          isArray ? data[0] : data);
        } else {
          // WebGL1: upload Array & Image separately
          if (isArray) {
            gl.texImage2D(this.gl_target, 0, gl_format, width, height, 0, gl_format, gl_type, data[0]);
          } else {
            gl.texImage2D(this.gl_target, 0, gl_format, gl_format, gl_type, data);
          }
        }
      }
      if (this.mipmaps) {
        this.generateMipmap();
      }
    };
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      this.device.gl.deleteTexture(getPlatformTexture(this));
    };
    _proto.clampNumLevels = function clampNumLevels(descriptor) {
      if (descriptor.dimension === gPluginDeviceRenderer.TextureDimension.n2DArray && descriptor.depth > 1) {
        var typeFlags = gPluginDeviceRenderer.getFormatTypeFlags(descriptor.pixelFormat);
        if (typeFlags === gPluginDeviceRenderer.FormatTypeFlags.BC1) {
          // Chrome/ANGLE seems to have issues with compressed miplevels of size 1/2, so clamp before they arrive...
          // https://bugs.chromium.org/p/angleproject/issues/detail?id=4056
          var w = descriptor.width,
            h = descriptor.height;
          for (var i = 0; i < descriptor.numLevels; i++) {
            if (w <= 2 || h <= 2) return i - 1;
            w = Math.max(w / 2 | 0, 1);
            h = Math.max(h / 2 | 0, 1);
          }
        }
      }
      return descriptor.numLevels;
    };
    _proto.preprocessImage = function preprocessImage() {
      var gl = this.device.gl;
      if (this.pixelStore) {
        if (this.pixelStore.unpackFlipY) {
          gl.pixelStorei(gPluginDeviceRenderer.GL.UNPACK_FLIP_Y_WEBGL, true);
        }
        if (this.pixelStore.packAlignment) {
          gl.pixelStorei(gPluginDeviceRenderer.GL.PACK_ALIGNMENT, this.pixelStore.packAlignment);
        }
        if (this.pixelStore.unpackAlignment) {
          gl.pixelStorei(gPluginDeviceRenderer.GL.UNPACK_ALIGNMENT, this.pixelStore.unpackAlignment);
        }
      }
    };
    _proto.generateMipmap = function generateMipmap() {
      var gl = this.device.gl;
      if (!isWebGL2(gl) && this.isNPOT()) {
        return this;
      }
      if (this.gl_texture && this.gl_target) {
        gl.bindTexture(this.gl_target, this.gl_texture);
        gl.generateMipmap(this.gl_target);
        gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_MIN_FILTER, gPluginDeviceRenderer.GL.NEAREST_MIPMAP_LINEAR);
        gl.bindTexture(this.gl_target, null);
      }
      return this;
    };
    _proto.isNPOT = function isNPOT() {
      var gl = this.device.gl;
      if (isWebGL2(gl)) {
        // NPOT restriction is only for WebGL1
        return false;
      }
      return !gPluginDeviceRenderer.isPowerOfTwo(this.width) || !gPluginDeviceRenderer.isPowerOfTwo(this.height);
    };
    return Texture_GL;
  }(ResourceBase_GL);

  var quadVert = "\nlayout(location = 0) in vec2 a_Position;\n\nout vec2 v_TexCoord;\n\nvoid main() {\n  v_TexCoord = 0.5 * (a_Position + 1.0);\n  gl_Position = vec4(a_Position, 0., 1.);\n\n  #ifdef VIEWPORT_ORIGIN_TL\n    v_TexCoord.y = 1.0 - v_TexCoord.y;\n  #endif\n}\n";
  var ProgramCompileState_GL;
  (function (ProgramCompileState_GL) {
    ProgramCompileState_GL[ProgramCompileState_GL["NeedsCompile"] = 0] = "NeedsCompile";
    ProgramCompileState_GL[ProgramCompileState_GL["Compiling"] = 1] = "Compiling";
    ProgramCompileState_GL[ProgramCompileState_GL["NeedsBind"] = 2] = "NeedsBind";
    ProgramCompileState_GL[ProgramCompileState_GL["ReadyToUse"] = 3] = "ReadyToUse";
  })(ProgramCompileState_GL || (ProgramCompileState_GL = {}));
  var Program_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(Program_GL, _ResourceBase_GL);
    function Program_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.Program;
      _this.gl_program = void 0;
      _this.gl_shader_vert = void 0;
      _this.gl_shader_frag = void 0;
      _this.compileState = void 0;
      _this.descriptor = void 0;
      _this.uniformSetters = {};
      _this.attributes = [];
      var gl = _this.device.gl;
      _this.descriptor = descriptor;
      _this.gl_program = _this.device.ensureResourceExists(gl.createProgram());
      _this.gl_shader_vert = null;
      _this.gl_shader_frag = null;
      _this.compileState = ProgramCompileState_GL.NeedsCompile;
      _this.tryCompileProgram();
      return _this;
    }
    var _proto = Program_GL.prototype;
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      this.device.gl.deleteProgram(this.gl_program);
      this.device.gl.deleteShader(this.gl_shader_vert);
      this.device.gl.deleteShader(this.gl_shader_frag);
    };
    _proto.tryCompileProgram = function tryCompileProgram() {
      gPluginDeviceRenderer.assert(this.compileState === ProgramCompileState_GL.NeedsCompile);
      var descriptor = this.descriptor;
      var gl = this.device.gl;
      if (this.gl_shader_vert !== null) gl.deleteShader(this.gl_shader_vert);
      if (this.gl_shader_frag !== null) gl.deleteShader(this.gl_shader_frag);
      if (descriptor.preprocessedCompute) {
        this.gl_shader_vert = this.compileShader(gPluginDeviceRenderer.preprocessShader_GLSL(this.device.queryVendorInfo(), 'vert', quadVert), gl.VERTEX_SHADER);
        this.gl_shader_frag = this.compileShader(descriptor.preprocessedCompute, gl.FRAGMENT_SHADER);
      } else {
        this.gl_shader_vert = this.compileShader(descriptor.preprocessedVert, gl.VERTEX_SHADER);
        this.gl_shader_frag = this.compileShader(descriptor.preprocessedFrag, gl.FRAGMENT_SHADER);
      }
      gl.attachShader(this.gl_program, this.gl_shader_vert);
      gl.attachShader(this.gl_program, this.gl_shader_frag);
      gl.linkProgram(this.gl_program);
      this.compileState = ProgramCompileState_GL.Compiling;
      if (!isWebGL2(gl)) {
        // extract uniforms
        this.readUniformLocationsFromLinkedProgram();
        // extract attributes
        this.readAttributesFromLinkedProgram();
      }
    };
    _proto.readAttributesFromLinkedProgram = function readAttributesFromLinkedProgram() {
      var _this2 = this;
      var gl = this.device.gl;
      var count = gl.getProgramParameter(this.gl_program, gl.ACTIVE_ATTRIBUTES);
      var defines = gPluginDeviceRenderer.getDefines(this.descriptor.preprocessedVert);
      var locations = gPluginDeviceRenderer.getAttributeLocations(this.descriptor.vert, defines);
      var _loop = function _loop(index) {
        var _locations$find;
        var _gl$getActiveAttrib = gl.getActiveAttrib(_this2.gl_program, index),
          name = _gl$getActiveAttrib.name,
          type = _gl$getActiveAttrib.type,
          size = _gl$getActiveAttrib.size;
        var location = gl.getAttribLocation(_this2.gl_program, name);
        var definedLocation = (_locations$find = locations.find(function (l) {
          return l.name === name;
        })) === null || _locations$find === void 0 ? void 0 : _locations$find.location;
        // Add only user provided attributes, for built-in attributes like
        // `gl_InstanceID` locaiton will be < 0
        if (location >= 0 && !isNil(definedLocation)) {
          _this2.attributes[definedLocation] = {
            name: name,
            location: location,
            type: type,
            size: size
          };
        }
      };
      for (var index = 0; index < count; index++) {
        _loop(index);
      }
    };
    _proto.readUniformLocationsFromLinkedProgram = function readUniformLocationsFromLinkedProgram() {
      var gl = this.device.gl;
      var numUniforms = gl.getProgramParameter(this.gl_program, gl.ACTIVE_UNIFORMS);
      for (var i = 0; i < numUniforms; i++) {
        var info = gl.getActiveUniform(this.gl_program, i);
        var _parseUniformName = gPluginDeviceRenderer.parseUniformName(info.name),
          name = _parseUniformName.name;
        var location = gl.getUniformLocation(this.gl_program, name);
        this.uniformSetters[name] = gPluginDeviceRenderer.getUniformSetter(gl, location, info);
        if (info && info.size > 1) {
          for (var l = 0; l < info.size; l++) {
            location = gl.getUniformLocation(this.gl_program, name + "[" + l + "]");
            this.uniformSetters[name + "[" + l + "]"] = gPluginDeviceRenderer.getUniformSetter(gl, location, info);
          }
        }
      }
    };
    _proto.compileShader = function compileShader(contents, type) {
      var gl = this.device.gl;
      var shader = this.device.ensureResourceExists(gl.createShader(type));
      gl.shaderSource(shader, contents);
      gl.compileShader(shader);
      return shader;
    };
    _proto.setUniforms = function setUniforms(uniforms) {
      if (uniforms === void 0) {
        uniforms = {};
      }
      var gl = this.device.gl;
      if (!isWebGL2(gl)) {
        var programUsed = false;
        for (var uniformName in uniforms) {
          if (!programUsed) {
            gl.useProgram(this.gl_program);
            programUsed = true;
          }
          var uniform = uniforms[uniformName];
          var uniformSetter = this.uniformSetters[uniformName];
          if (uniformSetter) {
            var value = uniform;
            if (value instanceof Texture_GL) {
              value = value.textureIndex;
            }
            uniformSetter(value);
          }
        }
      }
      return this;
    };
    return Program_GL;
  }(ResourceBase_GL);

  var QueryPool_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(QueryPool_GL, _ResourceBase_GL);
    function QueryPool_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.QueryPool;
      _this.gl_query_type = void 0;
      _this.gl_query = void 0;
      var gl = _this.device.gl;
      if (isWebGL2(gl)) {
        var elemCount = descriptor.elemCount,
          type = descriptor.type;
        _this.gl_query = gPluginDeviceRenderer.nArray(elemCount, function () {
          return _this.device.ensureResourceExists(gl.createQuery());
        });
        _this.gl_query_type = translateQueryPoolType(type);
      }
      return _this;
    }
    var _proto = QueryPool_GL.prototype;
    _proto.queryResultOcclusion = function queryResultOcclusion(dstOffs) {
      var gl = this.device.gl;
      if (isWebGL2(gl)) {
        var gl_query = this.gl_query[dstOffs];
        if (!gl.getQueryParameter(gl_query, gl.QUERY_RESULT_AVAILABLE)) {
          return null;
        }
        return !!gl.getQueryParameter(gl_query, gl.QUERY_RESULT);
      }
      return null;
    };
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      var gl = this.device.gl;
      if (isWebGL2(gl)) {
        for (var i = 0; i < this.gl_query.length; i++) {
          gl.deleteQuery(this.gl_query[i]);
        }
      }
    };
    return QueryPool_GL;
  }(ResourceBase_GL);

  var Readback_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(Readback_GL, _ResourceBase_GL);
    // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLSync

    function Readback_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.Readback;
      _this.gl_pbo = null;
      _this.gl_sync = null;
      return _this;
    }
    var _proto = Readback_GL.prototype;
    _proto.clientWaitAsync = function clientWaitAsync(sync, flags, interval_ms) {
      if (flags === void 0) {
        flags = 0;
      }
      if (interval_ms === void 0) {
        interval_ms = 10;
      }
      var gl = this.device.gl;
      return new Promise(function (resolve, reject) {
        function test() {
          // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/clientWaitSync
          var res = gl.clientWaitSync(sync, flags, 0);
          if (res == gl.WAIT_FAILED) {
            reject();
            return;
          }
          if (res == gl.TIMEOUT_EXPIRED) {
            setTimeout(test, clamp(interval_ms, 0, gl.MAX_CLIENT_WAIT_TIMEOUT_WEBGL));
            return;
          }
          resolve();
        }
        test();
      });
    };
    _proto.getBufferSubDataAsync = /*#__PURE__*/function () {
      var _getBufferSubDataAsync = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(target, buffer, srcByteOffset, dstBuffer, dstOffset, length) {
        var gl;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (dstOffset === void 0) {
                  dstOffset = 0;
                }
                if (length === void 0) {
                  length = dstBuffer.byteLength || 0;
                }
                gl = this.device.gl;
                if (!isWebGL2(gl)) {
                  _context.next = 12;
                  break;
                }
                // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/fenceSync
                this.gl_sync = gl.fenceSync(gl.SYNC_GPU_COMMANDS_COMPLETE, 0);
                gl.flush();
                _context.next = 8;
                return this.clientWaitAsync(this.gl_sync, 0, 10);
              case 8:
                gl.bindBuffer(target, buffer);
                gl.getBufferSubData(target, srcByteOffset, dstBuffer, dstOffset, length);
                gl.bindBuffer(target, null);
                return _context.abrupt("return", dstBuffer);
              case 12:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));
      function getBufferSubDataAsync(_x, _x2, _x3, _x4, _x5, _x6) {
        return _getBufferSubDataAsync.apply(this, arguments);
      }
      return getBufferSubDataAsync;
    }()
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL_API/WebGL_best_practices#use_non-blocking_async_data_readback
     */
    ;
    _proto.readTexture =
    /*#__PURE__*/
    function () {
      var _readTexture = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(t, x, y, width, height, dstBuffer, dstOffset, length) {
        var gl, texture, gl_type;
        return _regeneratorRuntime().wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                if (length === void 0) {
                  length = dstBuffer.byteLength || 0;
                }
                gl = this.device.gl;
                texture = t; // const gl_format = this.device.translateTextureFormat(texture.pixelFormat);
                gl_type = this.device.translateTextureType(texture.pixelFormat); // const formatByteSize = getFormatByteSize(texture.pixelFormat);
                // if (isWebGL2(gl)) {
                //   this.gl_pbo = this.device.ensureResourceExists(gl.createBuffer());
                //   // PIXEL_PACK_BUFFER: Buffer used for pixel transfer operations
                //   // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/bindBuffer
                //   gl.bindBuffer(gl.PIXEL_PACK_BUFFER, this.gl_pbo);
                //   // STREAM_READ: The contents are intended to be specified once by reading data from WebGL, and queried at most a few times by the application
                //   // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/bufferData
                //   gl.bufferData(gl.PIXEL_PACK_BUFFER, length, gl.STREAM_READ);
                //   gl.bindBuffer(gl.PIXEL_PACK_BUFFER, null);
                //   gl.bindFramebuffer(GL.READ_FRAMEBUFFER, this.device.readbackFramebuffer);
                //   gl.framebufferTexture2D(
                //     GL.READ_FRAMEBUFFER,
                //     GL.COLOR_ATTACHMENT0,
                //     GL.TEXTURE_2D,
                //     texture.gl_texture,
                //     0,
                //   );
                //   gl.bindBuffer(gl.PIXEL_PACK_BUFFER, this.gl_pbo);
                //   gl.readPixels(x, y, width, height, gl_format, gl_type, dstOffset * formatByteSize);
                //   gl.bindBuffer(gl.PIXEL_PACK_BUFFER, null);
                //   return this.getBufferSubDataAsync(
                //     gl.PIXEL_PACK_BUFFER,
                //     this.gl_pbo,
                //     0,
                //     dstBuffer,
                //     dstOffset,
                //     length,
                //   );
                // } else {
                gl.bindFramebuffer(gPluginDeviceRenderer.GL.FRAMEBUFFER, this.device.readbackFramebuffer);
                gl.framebufferTexture2D(gPluginDeviceRenderer.GL.FRAMEBUFFER, gPluginDeviceRenderer.GL.COLOR_ATTACHMENT0, gPluginDeviceRenderer.GL.TEXTURE_2D, texture.gl_texture, 0);
                // slow requires roundtrip to GPU
                // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/pixelStorei
                gl.pixelStorei(gl.PACK_ALIGNMENT, 4);
                gl.readPixels(x, y, width, height, gl.RGBA, gl_type, dstBuffer);
                return _context2.abrupt("return", Promise.resolve(dstBuffer));
              case 10:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));
      function readTexture(_x7, _x8, _x9, _x10, _x11, _x12, _x13, _x14) {
        return _readTexture.apply(this, arguments);
      }
      return readTexture;
    }();
    _proto.readBuffer = /*#__PURE__*/function () {
      var _readBuffer = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3(b, srcByteOffset, dstBuffer, dstOffset, length) {
        var gl;
        return _regeneratorRuntime().wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                gl = this.device.gl;
                if (!isWebGL2(gl)) {
                  _context3.next = 3;
                  break;
                }
                return _context3.abrupt("return", this.getBufferSubDataAsync(gl.ARRAY_BUFFER, getPlatformBuffer(b, srcByteOffset), srcByteOffset, dstBuffer, dstOffset, length));
              case 3:
                return _context3.abrupt("return", Promise.reject());
              case 4:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3, this);
      }));
      function readBuffer(_x15, _x16, _x17, _x18, _x19) {
        return _readBuffer.apply(this, arguments);
      }
      return readBuffer;
    }();
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      if (isWebGL2(this.device.gl)) {
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/deleteSync
        if (this.gl_sync !== null) {
          this.device.gl.deleteSync(this.gl_sync);
        }
        if (this.gl_pbo !== null) {
          this.device.gl.deleteBuffer(this.gl_pbo);
        }
      }
    };
    return Readback_GL;
  }(ResourceBase_GL);

  var RenderPipeline_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(RenderPipeline_GL, _ResourceBase_GL);
    // Attachment data.

    function RenderPipeline_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.RenderPipeline;
      _this.bindingLayouts = void 0;
      _this.program = void 0;
      _this.drawMode = void 0;
      _this.megaState = void 0;
      _this.inputLayout = void 0;
      _this.colorAttachmentFormats = void 0;
      _this.depthStencilAttachmentFormat = void 0;
      _this.sampleCount = void 0;
      _this.bindingLayouts = _this.createBindingLayouts(descriptor.bindingLayouts);
      _this.drawMode = translatePrimitiveTopology(descriptor.topology);
      _this.program = descriptor.program;
      _this.inputLayout = descriptor.inputLayout;
      _this.megaState = descriptor.megaStateDescriptor;
      _this.colorAttachmentFormats = descriptor.colorAttachmentFormats.slice();
      _this.depthStencilAttachmentFormat = descriptor.depthStencilAttachmentFormat;
      _this.sampleCount = descriptor.sampleCount;
      return _this;
    }
    var _proto = RenderPipeline_GL.prototype;
    _proto.createBindingLayouts = function createBindingLayouts(bindingLayouts) {
      var firstUniformBuffer = 0;
      var firstSampler = 0;
      var bindingLayoutTables = [];
      for (var i = 0; i < bindingLayouts.length; i++) {
        var _bindingLayouts$i = bindingLayouts[i],
          numUniformBuffers = _bindingLayouts$i.numUniformBuffers,
          numSamplers = _bindingLayouts$i.numSamplers,
          samplerEntries = _bindingLayouts$i.samplerEntries;
        var bindingSamplerEntries = [];
        if (samplerEntries !== undefined) {
          gPluginDeviceRenderer.assert(samplerEntries.length === numSamplers);
        }
        for (var j = 0; j < numSamplers; j++) {
          var samplerEntry = samplerEntries !== undefined ? samplerEntries[j] : gPluginDeviceRenderer.defaultBindingLayoutSamplerDescriptor;
          var dimension = samplerEntry.dimension,
            formatKind = samplerEntry.formatKind;
          bindingSamplerEntries.push({
            gl_target: translateTextureDimension(dimension),
            formatKind: formatKind
          });
        }
        bindingLayoutTables.push({
          firstUniformBuffer: firstUniformBuffer,
          numUniformBuffers: numUniformBuffers,
          firstSampler: firstSampler,
          numSamplers: numSamplers,
          samplerEntries: bindingSamplerEntries
        });
        firstUniformBuffer += numUniformBuffers;
        firstSampler += numSamplers;
      }
      return {
        numUniformBuffers: firstUniformBuffer,
        numSamplers: firstSampler,
        bindingLayoutTables: bindingLayoutTables
      };
    };
    return RenderPipeline_GL;
  }(ResourceBase_GL);

  var RenderTarget_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(RenderTarget_GL, _ResourceBase_GL);
    function RenderTarget_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.RenderTarget;
      _this.gl_renderbuffer = null;
      _this.texture = null;
      _this.pixelFormat = void 0;
      _this.width = void 0;
      _this.height = void 0;
      _this.sampleCount = void 0;
      var gl = _this.device.gl;
      var pixelFormat = descriptor.pixelFormat,
        width = descriptor.width,
        height = descriptor.height,
        texture = descriptor.texture,
        sampleCount = descriptor.sampleCount;
      if (texture) {
        _this.texture = texture;
      } else {
        _this.gl_renderbuffer = _this.device.ensureResourceExists(gl.createRenderbuffer());
        gl.bindRenderbuffer(gl.RENDERBUFFER, _this.gl_renderbuffer);
        var gl_format = _this.device.translateTextureInternalFormat(pixelFormat);
        if (isWebGL2(gl)) {
          // @see https://github.com/shrekshao/MoveWebGL1EngineToWebGL2/blob/master/Move-a-WebGL-1-Engine-To-WebGL-2-Blog-2.md#multisampled-renderbuffers
          gl.renderbufferStorageMultisample(gPluginDeviceRenderer.GL.RENDERBUFFER, sampleCount, gl_format, width, height);
        } else {
          // WebGL1 can only use FXAA or other post-processing methods
          gl.renderbufferStorage(gPluginDeviceRenderer.GL.RENDERBUFFER, gl_format, width, height);
        }
      }
      _this.pixelFormat = pixelFormat;
      _this.width = width;
      _this.height = height;
      _this.sampleCount = sampleCount;
      return _this;
    }
    var _proto = RenderTarget_GL.prototype;
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      if (this.gl_renderbuffer !== null) {
        this.device.gl.deleteRenderbuffer(this.gl_renderbuffer);
      }
    };
    return RenderTarget_GL;
  }(ResourceBase_GL);

  var ComputePipeline_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(ComputePipeline_GL, _ResourceBase_GL);
    function ComputePipeline_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.ComputePipeline;
      _this.descriptor = void 0;
      _this.descriptor = descriptor;
      // const program = descriptor.program as Program_GL;
      return _this;
    }
    return ComputePipeline_GL;
  }(ResourceBase_GL);

  var ResourceCreationTracker = /*#__PURE__*/function () {
    function ResourceCreationTracker() {
      this.liveObjects = new Set();
      this.creationStacks = new Map();
      this.deletionStacks = new Map();
    }
    var _proto = ResourceCreationTracker.prototype;
    _proto.trackResourceCreated = function trackResourceCreated(o) {
      this.creationStacks.set(o, new Error().stack);
      this.liveObjects.add(o);
    };
    _proto.trackResourceDestroyed = function trackResourceDestroyed(o) {
      if (this.deletionStacks.has(o)) console.warn("Object double freed:", o, "\n\nCreation stack: ", this.creationStacks.get(o), "\n\nDeletion stack: ", this.deletionStacks.get(o), "\n\nThis stack: ", new Error().stack);
      this.deletionStacks.set(o, new Error().stack);
      this.liveObjects.delete(o);
    };
    _proto.checkForLeaks = function checkForLeaks() {
      for (var _iterator = _createForOfIteratorHelperLoose(this.liveObjects.values()), _step; !(_step = _iterator()).done;) {
        var o = _step.value;
        console.warn('Object leaked:', o, 'Creation stack:', this.creationStacks.get(o));
      }
    };
    _proto.setResourceLeakCheck = function setResourceLeakCheck(o, v) {
      if (v) {
        this.liveObjects.add(o);
      } else {
        this.liveObjects.delete(o);
      }
    };
    return ResourceCreationTracker;
  }();

  /**
   * In WebGL 1 texture image data and sampling information are both stored in texture objects
   * @see https://github.com/shrekshao/MoveWebGL1EngineToWebGL2/blob/master/Move-a-WebGL-1-Engine-To-WebGL-2-Blog-2.md#sampler-objects
   */
  var Sampler_GL = /*#__PURE__*/function (_ResourceBase_GL) {
    _inheritsLoose(Sampler_GL, _ResourceBase_GL);
    function Sampler_GL(_ref) {
      var _this;
      var id = _ref.id,
        device = _ref.device,
        descriptor = _ref.descriptor;
      _this = _ResourceBase_GL.call(this, {
        id: id,
        device: device
      }) || this;
      _this.type = gPluginDeviceRenderer.ResourceType.Sampler;
      _this.gl_sampler = void 0;
      _this.descriptor = void 0;
      var gl = _this.device.gl;
      if (isWebGL2(gl)) {
        var _descriptor$wrapQ, _descriptor$maxAnisot;
        var gl_sampler = _this.device.ensureResourceExists(gl.createSampler());
        gl.samplerParameteri(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_WRAP_S, translateWrapMode(descriptor.wrapS));
        gl.samplerParameteri(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_WRAP_T, translateWrapMode(descriptor.wrapT));
        gl.samplerParameteri(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_WRAP_R, translateWrapMode((_descriptor$wrapQ = descriptor.wrapQ) !== null && _descriptor$wrapQ !== void 0 ? _descriptor$wrapQ : descriptor.wrapS));
        gl.samplerParameteri(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_MIN_FILTER, translateFilterMode(descriptor.minFilter, descriptor.mipFilter));
        gl.samplerParameteri(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_MAG_FILTER, translateFilterMode(descriptor.magFilter, gPluginDeviceRenderer.MipFilterMode.NoMip));
        if (descriptor.minLOD !== undefined) {
          gl.samplerParameterf(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_MIN_LOD, descriptor.minLOD);
        }
        if (descriptor.maxLOD !== undefined) {
          gl.samplerParameterf(gl_sampler, gPluginDeviceRenderer.GL.TEXTURE_MAX_LOD, descriptor.maxLOD);
        }
        if (descriptor.compareMode !== undefined) {
          gl.samplerParameteri(gl_sampler, gl.TEXTURE_COMPARE_MODE, gl.COMPARE_REF_TO_TEXTURE);
          gl.samplerParameteri(gl_sampler, gl.TEXTURE_COMPARE_FUNC, descriptor.compareMode);
        }
        var maxAnisotropy = (_descriptor$maxAnisot = descriptor.maxAnisotropy) !== null && _descriptor$maxAnisot !== void 0 ? _descriptor$maxAnisot : 1;
        if (maxAnisotropy > 1 && _this.device.EXT_texture_filter_anisotropic !== null) {
          gPluginDeviceRenderer.assert(descriptor.minFilter === gPluginDeviceRenderer.TexFilterMode.Bilinear && descriptor.magFilter === gPluginDeviceRenderer.TexFilterMode.Bilinear && descriptor.mipFilter === gPluginDeviceRenderer.MipFilterMode.Linear);
          gl.samplerParameterf(gl_sampler, _this.device.EXT_texture_filter_anisotropic.TEXTURE_MAX_ANISOTROPY_EXT, maxAnisotropy);
        }
        _this.gl_sampler = gl_sampler;
      } else {
        // use later in WebGL1
        _this.descriptor = descriptor;
      }
      return _this;
    }
    var _proto = Sampler_GL.prototype;
    _proto.setTextureParameters = function setTextureParameters(gl_target, width, height) {
      var _descriptor$maxAnisot2;
      var gl = this.device.gl;
      var descriptor = this.descriptor;
      // @see https://developer.mozilla.org/zh-CN/docs/Web/API/WebGL_API/Tutorial/Using_textures_in_WebGL#%E9%9D%9E2%E7%9A%84%E5%B9%82%E7%BA%B9%E7%90%86
      if (this.isNPOT(width, height)) {
        gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_MIN_FILTER, gPluginDeviceRenderer.GL.LINEAR);
      } else {
        gl.texParameteri(gl_target, gPluginDeviceRenderer.GL.TEXTURE_MIN_FILTER, translateFilterMode(descriptor.minFilter, descriptor.mipFilter));
      }
      gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_WRAP_S, translateWrapMode(descriptor.wrapS));
      gl.texParameteri(gPluginDeviceRenderer.GL.TEXTURE_2D, gPluginDeviceRenderer.GL.TEXTURE_WRAP_T, translateWrapMode(descriptor.wrapT));
      gl.texParameteri(gl_target, gPluginDeviceRenderer.GL.TEXTURE_MAG_FILTER, translateFilterMode(descriptor.magFilter, gPluginDeviceRenderer.MipFilterMode.NoMip));
      // if (descriptor.minLOD !== undefined) {
      //   gl.texParameterf(gl_target, GL.TEXTURE_MIN_LOD, descriptor.minLOD);
      // }
      // if (descriptor.maxLOD !== undefined) {
      //   gl.texParameterf(gl_target, GL.TEXTURE_MAX_LOD, descriptor.maxLOD);
      // }
      var maxAnisotropy = (_descriptor$maxAnisot2 = descriptor.maxAnisotropy) !== null && _descriptor$maxAnisot2 !== void 0 ? _descriptor$maxAnisot2 : 1;
      if (maxAnisotropy > 1 && this.device.EXT_texture_filter_anisotropic !== null) {
        gPluginDeviceRenderer.assert(descriptor.minFilter === gPluginDeviceRenderer.TexFilterMode.Bilinear && descriptor.magFilter === gPluginDeviceRenderer.TexFilterMode.Bilinear && descriptor.mipFilter === gPluginDeviceRenderer.MipFilterMode.Linear);
        gl.texParameteri(gl_target, this.device.EXT_texture_filter_anisotropic.TEXTURE_MAX_ANISOTROPY_EXT, maxAnisotropy);
      }
    };
    _proto.destroy = function destroy() {
      _ResourceBase_GL.prototype.destroy.call(this);
      if (isWebGL2(this.device.gl)) {
        this.device.gl.deleteSampler(getPlatformSampler(this));
      }
    };
    _proto.isNPOT = function isNPOT(width, height) {
      return !gPluginDeviceRenderer.isPowerOfTwo(width) || !gPluginDeviceRenderer.isPowerOfTwo(height);
    };
    return Sampler_GL;
  }(ResourceBase_GL);

  // import { assert, assertExists } from '@antv/g-plugin-device-renderer';
  // import type { ComputePipeline_GL } from './ComputePipeline';
  var ComputePass_GL = /*#__PURE__*/function () {
    function ComputePass_GL() {
      this.descriptor = void 0;
    }
    var _proto = ComputePass_GL.prototype;
    /**
     * @see https://www.w3.org/TR/webgpu/#dom-gpucomputepassencoder-dispatch
     */
    _proto.dispatch = function dispatch(x, y, z) {};
    _proto.finish = function finish() {
      // this.gpuComputePassEncoder.end();
      // this.gpuComputePassEncoder = null;
      // return this.commandEncoder.finish();
    }
    /**
     * @see https://www.w3.org/TR/webgpu/#dom-gpucommandencoder-begincomputepass
     */;
    _proto.beginComputePass = function beginComputePass(computePassDescriptor) {
      // assert(this.gpuComputePassEncoder === null);
      // this.setComputePassDescriptor(computePassDescriptor);
      // this.gpuComputePassEncoder = this.commandEncoder.beginComputePass(
      //   this.gpuComputePassDescriptor,
      // );
    };
    _proto.setPipeline = function setPipeline(pipeline_) {
      // const pipeline = pipeline_ as ComputePipeline_WebGPU;
      // const gpuComputePipeline = assertExists(pipeline.gpuComputePipeline);
      // this.gpuComputePassEncoder.setPipeline(gpuComputePipeline);
    };
    _proto.setBindings = function setBindings(bindingLayoutIndex, bindings_) {
      // const bindings = bindings_ as Bindings_WebGPU;
      // this.gpuComputePassEncoder.setBindGroup(bindingLayoutIndex, bindings.gpuBindGroup[0]);
    };
    _proto.setComputePassDescriptor = function setComputePassDescriptor(descriptor) {
      this.descriptor = descriptor;
    };
    return ComputePass_GL;
  }();

  // This is a workaround for ANGLE not supporting UBOs greater than 64kb (the limit of D3D).
  // https://bugs.chromium.org/p/angleproject/issues/detail?id=3388
  var UBO_PAGE_MAX_BYTE_SIZE = 0x10000;
  var Device_GL = /*#__PURE__*/function () {
    // Configuration

    // GL extensions
    // @see https://developer.mozilla.org/zh-CN/docs/Web/API/OES_vertex_array_object

    // @see https://developer.mozilla.org/en-US/docs/Web/API/ANGLE_instanced_arrays

    // @see https://developer.mozilla.org/en-US/docs/Web/API/OES_texture_float

    // @see https://www.khronos.org/registry/webgl/extensions/OES_draw_buffers_indexed/

    // @see https://developer.mozilla.org/en-US/docs/Web/API/WEBGL_draw_buffers
    // WEBGL_draw_buffers: WEBGL_draw_buffers | null = null;
    // @see https://developer.mozilla.org/en-US/docs/Web/API/WEBGL_depth_texture

    // @see https://developer.mozilla.org/en-US/docs/Web/API/EXT_texture_norm16

    // Swap Chain

    // Device

    // Cached GL driver state

    // Pass Execution

    /**
     * use DRAW_FRAMEBUFFER in WebGL2
     */

    // VendorInfo

    // GLimits
    /**
     * @see https://github.com/shrekshao/MoveWebGL1EngineToWebGL2/blob/master/Move-a-WebGL-1-Engine-To-WebGL-2-Blog-2.md#uniform-buffer
     */

    function Device_GL(gl, configuration) {
      this.shaderDebug = false;
      this.contextAttributes = void 0;
      this.OES_vertex_array_object = null;
      this.ANGLE_instanced_arrays = null;
      this.OES_texture_float = null;
      this.OES_draw_buffers_indexed = null;
      this.WEBGL_depth_texture = null;
      this.WEBGL_compressed_texture_s3tc = null;
      this.WEBGL_compressed_texture_s3tc_srgb = null;
      this.EXT_texture_compression_rgtc = null;
      this.EXT_texture_filter_anisotropic = null;
      this.KHR_parallel_shader_compile = null;
      this.EXT_texture_norm16 = null;
      this.OES_texture_float_linear = null;
      this.OES_texture_half_float_linear = null;
      this.scTexture = null;
      this.scPlatformFramebuffer = null;
      this.currentActiveTexture = null;
      this.currentBoundVAO = null;
      this.currentProgram = null;
      this.resourceCreationTracker = null;
      this.resourceUniqueId = 0;
      this.currentColorAttachments = [];
      this.currentColorResolveTos = [];
      this.currentDepthStencilAttachment = void 0;
      this.currentDepthStencilResolveTo = null;
      this.currentSampleCount = -1;
      this.currentPipeline = void 0;
      this.currentInputState = void 0;
      this.currentMegaState = gPluginDeviceRenderer.copyMegaState(gPluginDeviceRenderer.defaultMegaState);
      this.currentSamplers = [];
      this.currentTextures = [];
      this.currentUniformBuffers = [];
      this.currentUniformBufferByteOffsets = [];
      this.currentUniformBufferByteSizes = [];
      this.currentScissorEnabled = false;
      this.currentStencilRef = null;
      this.currentRenderPassDescriptor = null;
      this.debugGroupStack = [];
      this.resolveColorAttachmentsChanged = false;
      this.resolveColorReadFramebuffer = void 0;
      this.resolveColorDrawFramebuffer = void 0;
      this.resolveDepthStencilAttachmentsChanged = false;
      this.resolveDepthStencilReadFramebuffer = void 0;
      this.resolveDepthStencilDrawFramebuffer = void 0;
      this.renderPassDrawFramebuffer = void 0;
      this.readbackFramebuffer = void 0;
      this.fallbackTexture2D = void 0;
      this.fallbackTexture2DDepth = void 0;
      this.fallbackTexture2DArray = void 0;
      this.fallbackTexture3D = void 0;
      this.fallbackTextureCube = void 0;
      this.platformString = void 0;
      this.glslVersion = void 0;
      this.explicitBindingLocations = false;
      this.separateSamplerTextures = false;
      this.viewportOrigin = gPluginDeviceRenderer.ViewportOrigin.LowerLeft;
      this.clipSpaceNearZ = gPluginDeviceRenderer.ClipSpaceNearZ.NegativeOne;
      this.supportMRT = false;
      this.inBlitRenderPass = false;
      this.blitRenderPipeline = void 0;
      this.blitInputState = void 0;
      this.blitBindings = void 0;
      this.uniformBufferMaxPageByteSize = void 0;
      this.uniformBufferWordAlignment = void 0;
      this.uniformBufferMaxPageWordSize = void 0;
      this.supportedSampleCounts = [];
      this.maxVertexAttribs = void 0;
      this.occlusionQueriesRecommended = false;
      this.gl = void 0;
      this.gl = gl;
      this.contextAttributes = gPluginDeviceRenderer.assertExists(gl.getContextAttributes());
      if (!isWebGL2(gl)) {
        this.OES_vertex_array_object = gl.getExtension('OES_vertex_array_object');
        // TODO: when ANGLE_instanced_arrays unavailable...
        this.ANGLE_instanced_arrays = gl.getExtension('ANGLE_instanced_arrays');
        this.OES_texture_float = gl.getExtension('OES_texture_float');
        // this.WEBGL_draw_buffers = gl.getExtension('WEBGL_draw_buffers');
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WEBGL_depth_texture
        this.WEBGL_depth_texture = gl.getExtension('WEBGL_depth_texture');
        // @see https://developer.mozilla.org/en-US/docs/Web/API/EXT_frag_depth
        gl.getExtension('EXT_frag_depth');
        // @see https://developer.mozilla.org/en-US/docs/Web/API/OES_element_index_uint
        gl.getExtension('OES_element_index_uint');
        // @see https://developer.mozilla.org/en-US/docs/Web/API/OES_standard_derivatives
        gl.getExtension('OES_standard_derivatives');
        // won't use MRT anymore...
        // if (this.WEBGL_draw_buffers) {
        //   this.supportMRT = true;
        // }
      } else {
        this.EXT_texture_norm16 = gl.getExtension('EXT_texture_norm16');
        // this.supportMRT = true;
      }

      this.WEBGL_compressed_texture_s3tc = gl.getExtension('WEBGL_compressed_texture_s3tc');
      this.WEBGL_compressed_texture_s3tc_srgb = gl.getExtension('WEBGL_compressed_texture_s3tc_srgb');
      this.EXT_texture_compression_rgtc = gl.getExtension('EXT_texture_compression_rgtc');
      this.EXT_texture_filter_anisotropic = gl.getExtension('EXT_texture_filter_anisotropic');
      this.EXT_texture_norm16 = gl.getExtension('EXT_texture_norm16');
      this.OES_texture_float_linear = gl.getExtension('OES_texture_float_linear');
      this.OES_texture_half_float_linear = gl.getExtension('OES_texture_half_float_linear');
      this.KHR_parallel_shader_compile = gl.getExtension('KHR_parallel_shader_compile');
      // this.OES_draw_buffers_indexed = gl.getExtension('OES_draw_buffers_indexed');
      if (isWebGL2(gl)) {
        this.platformString = 'WebGL2';
        this.glslVersion = '#version 300 es';
      } else {
        this.platformString = 'WebGL1';
        this.glslVersion = '#version 100'; // 100 es not supported
      }
      // Create our fake swap-chain texture.
      this.scTexture = new Texture_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: {
          width: 0,
          height: 0,
          depth: 1,
          dimension: gPluginDeviceRenderer.TextureDimension.n2D,
          numLevels: 1,
          usage: gPluginDeviceRenderer.TextureUsage.RenderTarget,
          pixelFormat: this.contextAttributes.alpha === false ? gPluginDeviceRenderer.Format.U8_RGB_RT : gPluginDeviceRenderer.Format.U8_RGBA_RT
        },
        fake: true
      });
      this.scTexture.formatKind = gPluginDeviceRenderer.SamplerFormatKind.Float;
      this.scTexture.gl_target = null;
      this.scTexture.gl_texture = null;
      this.resolveColorReadFramebuffer = this.ensureResourceExists(gl.createFramebuffer());
      this.resolveColorDrawFramebuffer = this.ensureResourceExists(gl.createFramebuffer());
      this.resolveDepthStencilReadFramebuffer = this.ensureResourceExists(gl.createFramebuffer());
      this.resolveDepthStencilDrawFramebuffer = this.ensureResourceExists(gl.createFramebuffer());
      this.renderPassDrawFramebuffer = this.ensureResourceExists(gl.createFramebuffer());
      this.readbackFramebuffer = this.ensureResourceExists(gl.createFramebuffer());
      this.fallbackTexture2D = this.createFallbackTexture(gPluginDeviceRenderer.TextureDimension.n2D, gPluginDeviceRenderer.SamplerFormatKind.Float);
      this.fallbackTexture2DDepth = this.createFallbackTexture(gPluginDeviceRenderer.TextureDimension.n2D, gPluginDeviceRenderer.SamplerFormatKind.Depth);
      if (isWebGL2(gl)) ;
      // Adjust for GL defaults.
      this.currentMegaState.depthCompare = gPluginDeviceRenderer.CompareMode.Less;
      this.currentMegaState.depthWrite = false;
      this.currentMegaState.attachmentsState[0].channelWriteMask = gPluginDeviceRenderer.ChannelWriteMask.AllChannels;
      // always have depth test enabled.
      gl.enable(gl.DEPTH_TEST);
      gl.enable(gl.STENCIL_TEST);
      this.checkLimits();
      if (configuration.shaderDebug) {
        this.shaderDebug = true;
      }
      if (configuration.trackResources) {
        this.resourceCreationTracker = new ResourceCreationTracker();
      }
    }
    var _proto = Device_GL.prototype;
    _proto.createFallbackTexture = function createFallbackTexture(dimension, formatKind) {
      var depth = dimension === gPluginDeviceRenderer.TextureDimension.Cube ? 6 : 1;
      var pixelFormat = formatKind === gPluginDeviceRenderer.SamplerFormatKind.Depth ? gPluginDeviceRenderer.Format.D32F : gPluginDeviceRenderer.Format.U8_RGBA_NORM;
      var texture = this.createTexture({
        dimension: dimension,
        pixelFormat: pixelFormat,
        usage: gPluginDeviceRenderer.TextureUsage.Sampled,
        width: 1,
        height: 1,
        depth: depth,
        numLevels: 1,
        immutable: true
      });
      // this.blackTexture = this.ensureResourceExists(gl.createTexture());
      // gl.bindTexture(GL.TEXTURE_2D, this.blackTexture);
      // gl.texImage2D(
      //   GL.TEXTURE_2D,
      //   0,
      //   isWebGL2(gl) ? gl.RGBA8 : gl.RGBA,
      //   1,
      //   1,
      //   0,
      //   gl.RGBA,
      //   gl.UNSIGNED_BYTE,
      //   new Uint8Array(4),
      // )
      if (formatKind === gPluginDeviceRenderer.SamplerFormatKind.Float) {
        texture.setImageData([new Uint8Array(4 * depth)], 0);
      }
      return getPlatformTexture(texture);
    };
    _proto.getNextUniqueId = function getNextUniqueId() {
      return ++this.resourceUniqueId;
    };
    _proto.checkLimits = function checkLimits() {
      var gl = this.gl;
      this.maxVertexAttribs = gl.getParameter(gPluginDeviceRenderer.GL.MAX_VERTEX_ATTRIBS);
      if (isWebGL2(gl)) {
        this.uniformBufferMaxPageByteSize = Math.min(gl.getParameter(gPluginDeviceRenderer.GL.MAX_UNIFORM_BLOCK_SIZE), UBO_PAGE_MAX_BYTE_SIZE);
        this.uniformBufferWordAlignment = gl.getParameter(gl.UNIFORM_BUFFER_OFFSET_ALIGNMENT) / 4;
        var supportedSampleCounts = gl.getInternalformatParameter(gl.RENDERBUFFER, gl.DEPTH32F_STENCIL8, gl.SAMPLES);
        this.supportedSampleCounts = supportedSampleCounts ? [].concat(supportedSampleCounts) : [];
        this.occlusionQueriesRecommended = true;
      } else {
        // mock ubo in WebGL1
        this.uniformBufferWordAlignment = 64;
        this.uniformBufferMaxPageByteSize = UBO_PAGE_MAX_BYTE_SIZE;
      }
      this.uniformBufferMaxPageWordSize = this.uniformBufferMaxPageByteSize / 4;
      if (!this.supportedSampleCounts.includes(1)) {
        this.supportedSampleCounts.push(1);
      }
      this.supportedSampleCounts.sort(function (a, b) {
        return a - b;
      });
    }
    //#region SwapChain
    ;
    _proto.configureSwapChain = function configureSwapChain(width, height, platformFramebuffer) {
      var texture = this.scTexture;
      texture.width = width;
      texture.height = height;
      this.scPlatformFramebuffer = gPluginDeviceRenderer.nullify(platformFramebuffer);
    };
    _proto.getDevice = function getDevice() {
      return this;
    };
    _proto.getCanvas = function getCanvas() {
      return this.gl.canvas;
    };
    _proto.getOnscreenTexture = function getOnscreenTexture() {
      return this.scTexture;
    };
    _proto.present = function present() {
      // const gl = this.gl;
      // // Force alpha to white.
      // if (this.currentMegaState.attachmentsState[0].channelWriteMask !== ChannelWriteMask.Alpha) {
      //   gl.colorMask(false, false, false, true);
      //   this.currentMegaState.attachmentsState[0].channelWriteMask = ChannelWriteMask.Alpha;
      // }
      // // TODO: clear depth & stencil
      // // @see https://github.com/visgl/luma.gl/blob/30a1039573/modules/webgl/src/classes/clear.ts
      // const { r, g, b, a } = OpaqueBlack;
      // if (isWebGL2(gl)) {
      //   gl.clearBufferfv(gl.COLOR, 0, [r, g, b, a]);
      // } else {
      //   gl.clearColor(r, g, b, a);
      //   gl.clear(gl.COLOR_BUFFER_BIT);
      // }
      // @see https://stackoverflow.com/questions/2143240/opengl-glflush-vs-glfinish
      // gl.flush();
    }
    //#endregion
    //#region Device
    // @see https://webgl2fundamentals.org/webgl/lessons/webgl-data-textures.html
    ;
    _proto.translateTextureInternalFormat = function translateTextureInternalFormat(fmt) {
      switch (fmt) {
        case gPluginDeviceRenderer.Format.ALPHA:
          return gPluginDeviceRenderer.GL.ALPHA;
        case gPluginDeviceRenderer.Format.F16_R:
          return gPluginDeviceRenderer.GL.R16F;
        case gPluginDeviceRenderer.Format.F16_RG:
          return gPluginDeviceRenderer.GL.RG16F;
        case gPluginDeviceRenderer.Format.F16_RGB:
          return gPluginDeviceRenderer.GL.RGB16F;
        case gPluginDeviceRenderer.Format.F16_RGBA:
          return gPluginDeviceRenderer.GL.RGBA16F;
        case gPluginDeviceRenderer.Format.F32_R:
          return gPluginDeviceRenderer.GL.R32F;
        case gPluginDeviceRenderer.Format.F32_RG:
          return gPluginDeviceRenderer.GL.RG32F;
        case gPluginDeviceRenderer.Format.F32_RGB:
          return gPluginDeviceRenderer.GL.RGB32F;
        case gPluginDeviceRenderer.Format.F32_RGBA:
          return gPluginDeviceRenderer.GL.RGBA32F;
        case gPluginDeviceRenderer.Format.U8_R_NORM:
          return gPluginDeviceRenderer.GL.R8;
        case gPluginDeviceRenderer.Format.U8_RG_NORM:
          return gPluginDeviceRenderer.GL.RG8;
        case gPluginDeviceRenderer.Format.U8_RGB_NORM:
        case gPluginDeviceRenderer.Format.U8_RGB_RT:
          return gPluginDeviceRenderer.GL.RGB8;
        case gPluginDeviceRenderer.Format.U8_RGB_SRGB:
          return gPluginDeviceRenderer.GL.SRGB8;
        case gPluginDeviceRenderer.Format.U8_RGBA_NORM:
        case gPluginDeviceRenderer.Format.U8_RGBA_RT:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.RGBA8 : gPluginDeviceRenderer.GL.RGBA;
        case gPluginDeviceRenderer.Format.U8_RGBA_SRGB:
        case gPluginDeviceRenderer.Format.U8_RGBA_RT_SRGB:
          return gPluginDeviceRenderer.GL.SRGB8_ALPHA8;
        case gPluginDeviceRenderer.Format.U16_R:
          return gPluginDeviceRenderer.GL.R16UI;
        case gPluginDeviceRenderer.Format.U16_R_NORM:
          return this.EXT_texture_norm16.R16_EXT;
        case gPluginDeviceRenderer.Format.U16_RG_NORM:
          return this.EXT_texture_norm16.RG16_EXT;
        case gPluginDeviceRenderer.Format.U16_RGBA_NORM:
          return this.EXT_texture_norm16.RGBA16_EXT;
        // case Format.U16_RGBA_5551:
        //   return GL.RGB5_A1;
        case gPluginDeviceRenderer.Format.U32_R:
          return gPluginDeviceRenderer.GL.R32UI;
        case gPluginDeviceRenderer.Format.S8_RGBA_NORM:
          return gPluginDeviceRenderer.GL.RGBA8_SNORM;
        case gPluginDeviceRenderer.Format.S8_RG_NORM:
          return gPluginDeviceRenderer.GL.RG8_SNORM;
        case gPluginDeviceRenderer.Format.U16_RGBA_5551:
          return gPluginDeviceRenderer.GL.UNSIGNED_SHORT_5_5_5_1;
        case gPluginDeviceRenderer.Format.BC1:
          return this.WEBGL_compressed_texture_s3tc.COMPRESSED_RGBA_S3TC_DXT1_EXT;
        case gPluginDeviceRenderer.Format.BC1_SRGB:
          return this.WEBGL_compressed_texture_s3tc_srgb.COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT;
        case gPluginDeviceRenderer.Format.BC2:
          return this.WEBGL_compressed_texture_s3tc.COMPRESSED_RGBA_S3TC_DXT3_EXT;
        case gPluginDeviceRenderer.Format.BC2_SRGB:
          return this.WEBGL_compressed_texture_s3tc_srgb.COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT;
        case gPluginDeviceRenderer.Format.BC3:
          return this.WEBGL_compressed_texture_s3tc.COMPRESSED_RGBA_S3TC_DXT5_EXT;
        case gPluginDeviceRenderer.Format.BC3_SRGB:
          return this.WEBGL_compressed_texture_s3tc_srgb.COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT;
        case gPluginDeviceRenderer.Format.BC4_UNORM:
          return this.EXT_texture_compression_rgtc.COMPRESSED_RED_RGTC1_EXT;
        case gPluginDeviceRenderer.Format.BC4_SNORM:
          return this.EXT_texture_compression_rgtc.COMPRESSED_SIGNED_RED_RGTC1_EXT;
        case gPluginDeviceRenderer.Format.BC5_UNORM:
          return this.EXT_texture_compression_rgtc.COMPRESSED_RED_GREEN_RGTC2_EXT;
        case gPluginDeviceRenderer.Format.BC5_SNORM:
          return this.EXT_texture_compression_rgtc.COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT;
        case gPluginDeviceRenderer.Format.D32F_S8:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.DEPTH32F_STENCIL8 : gPluginDeviceRenderer.GL.DEPTH_STENCIL;
        case gPluginDeviceRenderer.Format.D24_S8:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.DEPTH24_STENCIL8 : gPluginDeviceRenderer.GL.DEPTH_STENCIL;
        case gPluginDeviceRenderer.Format.D32F:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.DEPTH_COMPONENT32F : gPluginDeviceRenderer.GL.DEPTH_COMPONENT;
        case gPluginDeviceRenderer.Format.D24:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.DEPTH_COMPONENT24 : gPluginDeviceRenderer.GL.DEPTH_COMPONENT;
        default:
          throw new Error('whoops');
      }
    };
    _proto.translateTextureType = function translateTextureType(fmt) {
      var typeFlags = gPluginDeviceRenderer.getFormatTypeFlags(fmt);
      switch (typeFlags) {
        case gPluginDeviceRenderer.FormatTypeFlags.U8:
          return gPluginDeviceRenderer.GL.UNSIGNED_BYTE;
        case gPluginDeviceRenderer.FormatTypeFlags.U16:
          return gPluginDeviceRenderer.GL.UNSIGNED_SHORT;
        case gPluginDeviceRenderer.FormatTypeFlags.U32:
          return gPluginDeviceRenderer.GL.UNSIGNED_INT;
        case gPluginDeviceRenderer.FormatTypeFlags.S8:
          return gPluginDeviceRenderer.GL.BYTE;
        case gPluginDeviceRenderer.FormatTypeFlags.F16:
          return gPluginDeviceRenderer.GL.HALF_FLOAT;
        case gPluginDeviceRenderer.FormatTypeFlags.F32:
          return gPluginDeviceRenderer.GL.FLOAT;
        case gPluginDeviceRenderer.FormatTypeFlags.U16_PACKED_5551:
          return gPluginDeviceRenderer.GL.UNSIGNED_SHORT_5_5_5_1;
        case gPluginDeviceRenderer.FormatTypeFlags.D32F:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.FLOAT : gPluginDeviceRenderer.GL.UNSIGNED_INT;
        case gPluginDeviceRenderer.FormatTypeFlags.D24:
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.UNSIGNED_INT_24_8 : gPluginDeviceRenderer.GL.UNSIGNED_SHORT;
        case gPluginDeviceRenderer.FormatTypeFlags.D24S8:
          // @see https://developer.mozilla.org/en-US/docs/Web/API/WEBGL_depth_texture
          return isWebGL2(this.gl) ? gPluginDeviceRenderer.GL.UNSIGNED_INT_24_8 : gPluginDeviceRenderer.GL.UNSIGNED_INT_24_8_WEBGL;
        case gPluginDeviceRenderer.FormatTypeFlags.D32FS8:
          return gPluginDeviceRenderer.GL.FLOAT_32_UNSIGNED_INT_24_8_REV;
        default:
          throw new Error('whoops');
      }
    };
    _proto.translateTextureFormat = function translateTextureFormat(fmt) {
      if (isTextureFormatCompressed(fmt)) return this.translateTextureInternalFormat(fmt);
      switch (fmt) {
        case gPluginDeviceRenderer.Format.D24_S8:
        case gPluginDeviceRenderer.Format.D32F_S8:
          return gPluginDeviceRenderer.GL.DEPTH_STENCIL;
        case gPluginDeviceRenderer.Format.D24:
        case gPluginDeviceRenderer.Format.D32F:
          return gPluginDeviceRenderer.GL.DEPTH_COMPONENT;
      }
      var isInteger = isFormatSizedInteger(fmt);
      var compFlags = gPluginDeviceRenderer.getFormatCompFlags(fmt);
      switch (compFlags) {
        case gPluginDeviceRenderer.FormatCompFlags.A:
          return gPluginDeviceRenderer.GL.ALPHA;
        case gPluginDeviceRenderer.FormatCompFlags.R:
          return isInteger ? gPluginDeviceRenderer.GL.RED_INTEGER : gPluginDeviceRenderer.GL.RED;
        case gPluginDeviceRenderer.FormatCompFlags.RG:
          return isInteger ? gPluginDeviceRenderer.GL.RG_INTEGER : gPluginDeviceRenderer.GL.RG;
        case gPluginDeviceRenderer.FormatCompFlags.RGB:
          return isInteger ? gPluginDeviceRenderer.GL.RGB_INTEGER : gPluginDeviceRenderer.GL.RGB;
        case gPluginDeviceRenderer.FormatCompFlags.RGBA:
          // TODO: Chrome throw error when readPixels RGBA_INTEGER and UNSIGNED_BYTE
          // @see https://github.com/KhronosGroup/WebGL/issues/2747
          // return isInteger ? GL.RGBA_INTEGER : GL.RGBA;
          return gPluginDeviceRenderer.GL.RGBA;
      }
    };
    _proto.setActiveTexture = function setActiveTexture(texture) {
      if (this.currentActiveTexture !== texture) {
        this.gl.activeTexture(texture);
        this.currentActiveTexture = texture;
      }
    };
    _proto.bindVAO = function bindVAO(vao) {
      if (this.currentBoundVAO !== vao) {
        if (isWebGL2(this.gl)) {
          this.gl.bindVertexArray(vao);
        } else {
          this.OES_vertex_array_object.bindVertexArrayOES(vao);
        }
        this.currentBoundVAO = vao;
      }
    };
    _proto.programCompiled = function programCompiled(program) {
      gPluginDeviceRenderer.assert(program.compileState !== ProgramCompileState_GL.NeedsCompile);
      if (program.compileState === ProgramCompileState_GL.Compiling) {
        program.compileState = ProgramCompileState_GL.NeedsBind;
        if (this.shaderDebug) {
          this.checkProgramCompilationForErrors(program);
        }
      }
    };
    _proto.useProgram = function useProgram(program) {
      if (this.currentProgram === program) return;
      this.programCompiled(program);
      this.gl.useProgram(program.gl_program);
      this.currentProgram = program;
    };
    _proto.ensureResourceExists = function ensureResourceExists(resource) {
      if (resource === null) {
        var error = this.gl.getError();
        throw new Error("Created resource is null; GL error encountered: " + error);
      } else {
        return resource;
      }
    };
    _proto.createBuffer = function createBuffer(descriptor) {
      return new Buffer_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createTexture = function createTexture(descriptor) {
      return new Texture_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createSampler = function createSampler(descriptor) {
      return new Sampler_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createRenderTarget = function createRenderTarget(descriptor) {
      return new RenderTarget_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createRenderTargetFromTexture = function createRenderTargetFromTexture(texture) {
      var pixelFormat = texture.pixelFormat,
        width = texture.width,
        height = texture.height,
        numLevels = texture.numLevels;
      // Render targets cannot have a mip chain currently.
      gPluginDeviceRenderer.assert(numLevels === 1);
      return this.createRenderTarget({
        pixelFormat: pixelFormat,
        width: width,
        height: height,
        sampleCount: 1,
        texture: texture
      });
    };
    _proto.createProgram = function createProgram(descriptor) {
      descriptor.ensurePreprocessed(this.queryVendorInfo());
      return this.createProgramSimple(descriptor);
    };
    _proto.createProgramSimple = function createProgramSimple(descriptor) {
      return new Program_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createBindings = function createBindings(descriptor) {
      return new Bindings_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createInputLayout = function createInputLayout(descriptor) {
      return new InputLayout_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createInputState = function createInputState(_inputLayout, vertexBuffers, indexBufferBinding, program) {
      var inputLayout = _inputLayout;
      return new InputState_GL({
        id: this.getNextUniqueId(),
        device: this,
        inputLayout: inputLayout,
        vertexBuffers: vertexBuffers,
        indexBufferBinding: indexBufferBinding,
        program: program
      });
    };
    _proto.createRenderPipeline = function createRenderPipeline(descriptor) {
      return new RenderPipeline_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    };
    _proto.createComputePass = function createComputePass(computePassDescriptor) {
      return new ComputePass_GL();
    };
    _proto.createComputePipeline = function createComputePipeline(descriptor) {
      return new ComputePipeline_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: descriptor
      });
    }
    // createReadback(byteCount: number): Readback {
    ;
    _proto.createReadback = function createReadback() {
      return new Readback_GL({
        id: this.getNextUniqueId(),
        device: this
        // byteCount,
      });
    };
    _proto.createQueryPool = function createQueryPool(type, elemCount) {
      return new QueryPool_GL({
        id: this.getNextUniqueId(),
        device: this,
        descriptor: {
          type: type,
          elemCount: elemCount
        }
      });
    };
    _proto.createRenderPass = function createRenderPass(descriptor) {
      gPluginDeviceRenderer.assert(this.currentRenderPassDescriptor === null);
      this.currentRenderPassDescriptor = descriptor;
      var colorAttachment = descriptor.colorAttachment,
        colorClearColor = descriptor.colorClearColor,
        colorResolveTo = descriptor.colorResolveTo,
        depthStencilAttachment = descriptor.depthStencilAttachment,
        depthClearValue = descriptor.depthClearValue,
        stencilClearValue = descriptor.stencilClearValue,
        depthStencilResolveTo = descriptor.depthStencilResolveTo;
      this.setRenderPassParametersBegin(colorAttachment.length);
      for (var i = 0; i < colorAttachment.length; i++) {
        this.setRenderPassParametersColor(i, colorAttachment[i], colorResolveTo[i]);
      }
      this.setRenderPassParametersDepthStencil(depthStencilAttachment, depthStencilResolveTo);
      this.validateCurrentAttachments();
      for (var _i = 0; _i < colorAttachment.length; _i++) {
        var clearColor = colorClearColor[_i];
        if (clearColor === 'load') continue;
        this.setRenderPassParametersClearColor(_i, clearColor.r, clearColor.g, clearColor.b, clearColor.a);
      }
      this.setRenderPassParametersClearDepthStencil(depthClearValue, stencilClearValue);
      return this;
    };
    _proto.submitPass = function submitPass(pass) {
      gPluginDeviceRenderer.assert(this.currentRenderPassDescriptor !== null);
      this.endPass();
      this.currentRenderPassDescriptor = null;
    };
    _proto.copySubTexture2D = function copySubTexture2D(dst_, dstX, dstY, src_, srcX, srcY) {
      var gl = this.gl;
      var dst = dst_;
      var src = src_;
      gPluginDeviceRenderer.assert(src.numLevels === 1);
      gPluginDeviceRenderer.assert(dst.numLevels === 1);
      if (isWebGL2(gl)) {
        if (dst === this.scTexture) {
          gl.bindFramebuffer(gl.DRAW_FRAMEBUFFER, this.scPlatformFramebuffer);
        } else {
          gl.bindFramebuffer(gl.DRAW_FRAMEBUFFER, this.resolveColorDrawFramebuffer);
          this.bindFramebufferAttachment(gl.DRAW_FRAMEBUFFER, gl.COLOR_ATTACHMENT0, dst);
        }
        gl.bindFramebuffer(gl.READ_FRAMEBUFFER, this.resolveColorReadFramebuffer);
        this.bindFramebufferAttachment(gl.READ_FRAMEBUFFER, gl.COLOR_ATTACHMENT0, src);
        gl.blitFramebuffer(srcX, srcY, srcX + src.width, srcY + src.height, dstX, dstY, dstX + src.width, dstY + src.height, gl.COLOR_BUFFER_BIT, gl.LINEAR);
        gl.bindFramebuffer(gl.READ_FRAMEBUFFER, null);
        gl.bindFramebuffer(gl.DRAW_FRAMEBUFFER, null);
      }
    };
    _proto.queryLimits = function queryLimits() {
      return this;
    };
    _proto.queryTextureFormatSupported = function queryTextureFormatSupported(format, width, height) {
      switch (format) {
        case gPluginDeviceRenderer.Format.BC1_SRGB:
        case gPluginDeviceRenderer.Format.BC2_SRGB:
        case gPluginDeviceRenderer.Format.BC3_SRGB:
          if (this.WEBGL_compressed_texture_s3tc_srgb !== null) return isBlockCompressSized(width, height, 4, 4);
          return false;
        case gPluginDeviceRenderer.Format.BC1:
        case gPluginDeviceRenderer.Format.BC2:
        case gPluginDeviceRenderer.Format.BC3:
          if (this.WEBGL_compressed_texture_s3tc !== null) return isBlockCompressSized(width, height, 4, 4);
          return false;
        case gPluginDeviceRenderer.Format.BC4_UNORM:
        case gPluginDeviceRenderer.Format.BC4_SNORM:
        case gPluginDeviceRenderer.Format.BC5_UNORM:
        case gPluginDeviceRenderer.Format.BC5_SNORM:
          if (this.EXT_texture_compression_rgtc !== null) return isBlockCompressSized(width, height, 4, 4);
          return false;
        case gPluginDeviceRenderer.Format.U16_R_NORM:
        case gPluginDeviceRenderer.Format.U16_RG_NORM:
        case gPluginDeviceRenderer.Format.U16_RGBA_NORM:
          return this.EXT_texture_norm16 !== null;
        case gPluginDeviceRenderer.Format.F32_R:
        case gPluginDeviceRenderer.Format.F32_RG:
        case gPluginDeviceRenderer.Format.F32_RGB:
        case gPluginDeviceRenderer.Format.F32_RGBA:
          return this.OES_texture_float_linear !== null;
        case gPluginDeviceRenderer.Format.F16_R:
        case gPluginDeviceRenderer.Format.F16_RG:
        case gPluginDeviceRenderer.Format.F16_RGB:
        case gPluginDeviceRenderer.Format.F16_RGBA:
          return this.OES_texture_half_float_linear !== null;
        default:
          return true;
      }
    };
    _proto.queryProgramReady = function queryProgramReady(program) {
      var gl = this.gl;
      if (program.compileState === ProgramCompileState_GL.NeedsCompile) {
        // This should not happen.
        throw new Error('whoops');
      }
      if (program.compileState === ProgramCompileState_GL.Compiling) {
        var complete;
        if (this.KHR_parallel_shader_compile !== null) {
          complete = gl.getProgramParameter(program.gl_program, this.KHR_parallel_shader_compile.COMPLETION_STATUS_KHR);
        } else {
          // If we don't have async shader compilation, assume all compilation is done immediately :/
          complete = true;
        }
        if (complete) {
          this.programCompiled(program);
        }
        return complete;
      }
      return program.compileState === ProgramCompileState_GL.NeedsBind || program.compileState === ProgramCompileState_GL.ReadyToUse;
    };
    _proto.queryPlatformAvailable = function queryPlatformAvailable() {
      return this.gl.isContextLost();
    };
    _proto.queryVendorInfo = function queryVendorInfo() {
      return this;
    };
    _proto.queryRenderPass = function queryRenderPass(o) {
      return this.currentRenderPassDescriptor;
    };
    _proto.queryRenderTarget = function queryRenderTarget(o) {
      var renderTarget = o;
      return renderTarget;
    }
    //#endregion
    //#region Debugging
    ;
    _proto.setResourceName = function setResourceName(o, name) {
      o.name = name;
      if (o.type === gPluginDeviceRenderer.ResourceType.Buffer) {
        var gl_buffer_pages = o.gl_buffer_pages;
        for (var i = 0; i < gl_buffer_pages.length; i++) {
          assignPlatformName(gl_buffer_pages[i], name + " Page " + i);
        }
      } else if (o.type === gPluginDeviceRenderer.ResourceType.Texture) {
        assignPlatformName(getPlatformTexture(o), name);
      } else if (o.type === gPluginDeviceRenderer.ResourceType.Sampler) {
        assignPlatformName(getPlatformSampler(o), name);
      } else if (o.type === gPluginDeviceRenderer.ResourceType.RenderTarget) {
        var gl_renderbuffer = o.gl_renderbuffer;
        if (gl_renderbuffer !== null) assignPlatformName(gl_renderbuffer, name);
      } else if (o.type === gPluginDeviceRenderer.ResourceType.InputState) {
        assignPlatformName(o.vao, name);
      }
    };
    _proto.setResourceLeakCheck = function setResourceLeakCheck(o, v) {
      if (this.resourceCreationTracker !== null) this.resourceCreationTracker.setResourceLeakCheck(o, v);
    };
    _proto.checkForLeaks = function checkForLeaks() {
      if (this.resourceCreationTracker !== null) this.resourceCreationTracker.checkForLeaks();
    };
    _proto.pushDebugGroup = function pushDebugGroup(debugGroup) {
      this.debugGroupStack.push(debugGroup);
    };
    _proto.popDebugGroup = function popDebugGroup() {
      this.debugGroupStack.pop();
    };
    _proto.programPatched = function programPatched(o, descriptor) {
      gPluginDeviceRenderer.assert(this.shaderDebug);
      // const program = o as Program_GL;
      // const gl = this.gl;
      // gl.deleteProgram(program.gl_program);
      // program.descriptor = descriptor;
      // program.gl_program = this.ensureResourceExists(gl.createProgram());
      // program.compileState = ProgramCompileState_GL.NeedsCompile;
      // this.tryCompileProgram(program);
      // this.checkProgramCompilationForErrors(program);
    };
    _proto.getBufferData = function getBufferData(buffer, dstBuffer, wordOffset) {
      if (wordOffset === void 0) {
        wordOffset = 0;
      }
      var gl = this.gl;
      if (isWebGL2(gl)) {
        gl.bindBuffer(gl.COPY_READ_BUFFER, getPlatformBuffer(buffer, wordOffset * 4));
        gl.getBufferSubData(gl.COPY_READ_BUFFER, wordOffset * 4, dstBuffer);
      }
    }
    //#endregion
    ;
    _proto.debugGroupStatisticsDrawCall = function debugGroupStatisticsDrawCall(count) {
      if (count === void 0) {
        count = 1;
      }
      for (var i = this.debugGroupStack.length - 1; i >= 0; i--) {
        this.debugGroupStack[i].drawCallCount += count;
      }
    };
    _proto.debugGroupStatisticsBufferUpload = function debugGroupStatisticsBufferUpload(count) {
      if (count === void 0) {
        count = 1;
      }
      for (var i = this.debugGroupStack.length - 1; i >= 0; i--) {
        this.debugGroupStack[i].bufferUploadCount += count;
      }
    };
    _proto.debugGroupStatisticsTextureBind = function debugGroupStatisticsTextureBind(count) {
      if (count === void 0) {
        count = 1;
      }
      for (var i = this.debugGroupStack.length - 1; i >= 0; i--) {
        this.debugGroupStack[i].textureBindCount += count;
      }
    };
    _proto.debugGroupStatisticsTriangles = function debugGroupStatisticsTriangles(count) {
      for (var i = this.debugGroupStack.length - 1; i >= 0; i--) {
        this.debugGroupStack[i].triangleCount += count;
      }
    };
    _proto.reportShaderError = function reportShaderError(shader, str) {
      var gl = this.gl;
      var status = gl.getShaderParameter(shader, gl.COMPILE_STATUS);
      if (!status) {
        console.error(gPluginDeviceRenderer.prependLineNo(str));
        var debug_shaders = gl.getExtension('WEBGL_debug_shaders');
        if (debug_shaders) console.error(debug_shaders.getTranslatedShaderSource(shader));
        console.error(gl.getShaderInfoLog(shader));
      }
      return status;
    };
    _proto.checkProgramCompilationForErrors = function checkProgramCompilationForErrors(program) {
      var gl = this.gl;
      var prog = program.gl_program;
      if (!gl.getProgramParameter(prog, gl.LINK_STATUS)) {
        var descriptor = program.descriptor;
        if (!this.reportShaderError(program.gl_shader_vert, descriptor.preprocessedVert)) return;
        if (!this.reportShaderError(program.gl_shader_frag, descriptor.preprocessedFrag)) return;
        // Neither shader had an error, report the program info log.
        console.error(gl.getProgramInfoLog(program.gl_program));
      }
    };
    _proto.bindFramebufferAttachment = function bindFramebufferAttachment(framebuffer, binding, attachment) {
      var gl = this.gl;
      if (attachment === null) {
        gl.framebufferRenderbuffer(framebuffer, binding, gl.RENDERBUFFER, null);
      } else if (attachment.type === gPluginDeviceRenderer.ResourceType.RenderTarget) {
        if (attachment.gl_renderbuffer !== null) {
          gl.framebufferRenderbuffer(framebuffer, binding, gl.RENDERBUFFER, attachment.gl_renderbuffer);
        } else if (attachment.texture !== null) {
          gl.framebufferTexture2D(framebuffer, binding, gPluginDeviceRenderer.GL.TEXTURE_2D, getPlatformTexture(attachment.texture), 0);
        }
      } else if (attachment.type === gPluginDeviceRenderer.ResourceType.Texture) {
        // TODO: use Tex2D array with gl.framebufferTextureLayer
        gl.framebufferTexture2D(framebuffer, binding, gPluginDeviceRenderer.GL.TEXTURE_2D, getPlatformTexture(attachment), 0);
      }
    };
    _proto.bindFramebufferDepthStencilAttachment = function bindFramebufferDepthStencilAttachment(framebuffer, attachment) {
      var gl = this.gl;
      var flags = attachment !== null ? gPluginDeviceRenderer.getFormatFlags(attachment.pixelFormat) : gPluginDeviceRenderer.FormatFlags.Depth | gPluginDeviceRenderer.FormatFlags.Stencil;
      var depth = !!(flags & gPluginDeviceRenderer.FormatFlags.Depth),
        stencil = !!(flags & gPluginDeviceRenderer.FormatFlags.Stencil);
      if (depth && stencil) {
        this.bindFramebufferAttachment(framebuffer, gl.DEPTH_STENCIL_ATTACHMENT, attachment);
      } else if (depth) {
        this.bindFramebufferAttachment(framebuffer, gl.DEPTH_ATTACHMENT, attachment);
        this.bindFramebufferAttachment(framebuffer, gl.STENCIL_ATTACHMENT, null);
      } else if (stencil) {
        this.bindFramebufferAttachment(framebuffer, gl.STENCIL_ATTACHMENT, attachment);
        this.bindFramebufferAttachment(framebuffer, gl.DEPTH_ATTACHMENT, null);
      }
    };
    _proto.validateCurrentAttachments = function validateCurrentAttachments() {
      var sampleCount = -1,
        width = -1,
        height = -1;
      for (var i = 0; i < this.currentColorAttachments.length; i++) {
        var attachment = this.currentColorAttachments[i];
        if (attachment === null) continue;
        if (sampleCount === -1) {
          sampleCount = attachment.sampleCount;
          width = attachment.width;
          height = attachment.height;
        } else {
          gPluginDeviceRenderer.assert(sampleCount === attachment.sampleCount);
          gPluginDeviceRenderer.assert(width === attachment.width);
          gPluginDeviceRenderer.assert(height === attachment.height);
        }
      }
      if (this.currentDepthStencilAttachment !== null) {
        if (sampleCount === -1) {
          sampleCount = this.currentDepthStencilAttachment.sampleCount;
          width = this.currentDepthStencilAttachment.width;
          height = this.currentDepthStencilAttachment.height;
        } else {
          gPluginDeviceRenderer.assert(sampleCount === this.currentDepthStencilAttachment.sampleCount);
          gPluginDeviceRenderer.assert(width === this.currentDepthStencilAttachment.width);
          gPluginDeviceRenderer.assert(height === this.currentDepthStencilAttachment.height);
        }
      }
      this.currentSampleCount = sampleCount;
    };
    _proto.setRenderPassParametersBegin = function setRenderPassParametersBegin(numColorAttachments) {
      var gl = this.gl;
      if (isWebGL2(gl)) {
        gl.bindFramebuffer(gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER, this.renderPassDrawFramebuffer);
      } else {
        if (!this.inBlitRenderPass) {
          gl.bindFramebuffer(gPluginDeviceRenderer.GL.FRAMEBUFFER, this.renderPassDrawFramebuffer);
        }
      }
      if (!this.inBlitRenderPass) {
        for (var i = numColorAttachments; i < this.currentColorAttachments.length; i++) {
          var target = isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER;
          var attachment = isWebGL2(gl) ? gPluginDeviceRenderer.GL.COLOR_ATTACHMENT0 : gPluginDeviceRenderer.GL.COLOR_ATTACHMENT0_WEBGL;
          gl.framebufferRenderbuffer(target, attachment + i, gPluginDeviceRenderer.GL.RENDERBUFFER, null);
          gl.framebufferTexture2D(target, attachment + i, gPluginDeviceRenderer.GL.TEXTURE_2D, null, 0);
        }
      }
      this.currentColorAttachments.length = numColorAttachments;
      // if (isWebGL2(gl)) {
      //   gl.drawBuffers([
      //     GL.COLOR_ATTACHMENT0,
      //     GL.COLOR_ATTACHMENT1,
      //     GL.COLOR_ATTACHMENT2,
      //     GL.COLOR_ATTACHMENT3,
      //   ]);
      // } else {
      //   if (!this.inBlitRenderPass) {
      //     // MRT @see https://github.com/shrekshao/MoveWebGL1EngineToWebGL2/blob/master/Move-a-WebGL-1-Engine-To-WebGL-2-Blog-1.md#multiple-render-targets
      //     this.WEBGL_draw_buffers.drawBuffersWEBGL([
      //       GL.COLOR_ATTACHMENT0_WEBGL, // gl_FragData[0]
      //       GL.COLOR_ATTACHMENT1_WEBGL, // gl_FragData[1]
      //       GL.COLOR_ATTACHMENT2_WEBGL, // gl_FragData[2]
      //       GL.COLOR_ATTACHMENT3_WEBGL, // gl_FragData[3]
      //     ]);
      //   }
      // }
    };
    _proto.setRenderPassParametersColor = function setRenderPassParametersColor(i, colorAttachment, colorResolveTo) {
      var gl = this.gl;
      if (this.currentColorAttachments[i] !== colorAttachment) {
        this.currentColorAttachments[i] = colorAttachment;
        // disable MRT in WebGL1
        if (isWebGL2(gl) || i === 0) {
          this.bindFramebufferAttachment(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, (isWebGL2(gl) ? gPluginDeviceRenderer.GL.COLOR_ATTACHMENT0 : gPluginDeviceRenderer.GL.COLOR_ATTACHMENT0_WEBGL) + i, colorAttachment);
        }
        this.resolveColorAttachmentsChanged = true;
      }
      if (this.currentColorResolveTos[i] !== colorResolveTo) {
        this.currentColorResolveTos[i] = colorResolveTo;
        if (colorResolveTo !== null) {
          this.resolveColorAttachmentsChanged = true;
        }
      }
    };
    _proto.setRenderPassParametersDepthStencil = function setRenderPassParametersDepthStencil(depthStencilAttachment, depthStencilResolveTo) {
      var gl = this.gl;
      if (this.currentDepthStencilAttachment !== depthStencilAttachment) {
        this.currentDepthStencilAttachment = depthStencilAttachment;
        if (!this.inBlitRenderPass) {
          this.bindFramebufferDepthStencilAttachment(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.currentDepthStencilAttachment);
        }
        this.resolveDepthStencilAttachmentsChanged = true;
      }
      if (this.currentDepthStencilResolveTo !== depthStencilResolveTo) {
        this.currentDepthStencilResolveTo = depthStencilResolveTo;
        if (depthStencilResolveTo !== null) {
          this.resolveDepthStencilAttachmentsChanged = true;
        }
      }
    };
    _proto.setRenderPassParametersClearColor = function setRenderPassParametersClearColor(slot, r, g, b, a) {
      var gl = this.gl;
      if (this.OES_draw_buffers_indexed !== null) {
        var attachment = this.currentMegaState.attachmentsState[slot];
        if (attachment && attachment.channelWriteMask !== gPluginDeviceRenderer.ChannelWriteMask.AllChannels) {
          this.OES_draw_buffers_indexed.colorMaskiOES(slot, true, true, true, true);
          attachment.channelWriteMask = gPluginDeviceRenderer.ChannelWriteMask.AllChannels;
        }
      } else {
        var _attachment = this.currentMegaState.attachmentsState[0];
        if (_attachment && _attachment.channelWriteMask !== gPluginDeviceRenderer.ChannelWriteMask.AllChannels) {
          gl.colorMask(true, true, true, true);
          _attachment.channelWriteMask = gPluginDeviceRenderer.ChannelWriteMask.AllChannels;
        }
      }
      this.setScissorEnabled(false);
      if (isWebGL2(gl)) {
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/clearBuffer
        gl.clearBufferfv(gl.COLOR, slot, [r, g, b, a]);
      } else {
        gl.clearColor(r, g, b, a);
        gl.clear(gl.COLOR_BUFFER_BIT);
      }
    };
    _proto.setRenderPassParametersClearDepthStencil = function setRenderPassParametersClearDepthStencil(depthClearValue, stencilClearValue) {
      var gl = this.gl;
      if (depthClearValue !== 'load') {
        gPluginDeviceRenderer.assert(this.currentDepthStencilAttachment !== null);
        // GL clears obey the masks... bad API or worst API?
        if (!this.currentMegaState.depthWrite) {
          gl.depthMask(true);
          this.currentMegaState.depthWrite = true;
        }
        if (isWebGL2(gl)) {
          gl.clearBufferfv(gl.DEPTH, 0, [depthClearValue]);
        } else {
          gl.clearDepth(depthClearValue);
          gl.clear(gl.DEPTH_BUFFER_BIT);
        }
      }
      if (stencilClearValue !== 'load') {
        gPluginDeviceRenderer.assert(this.currentDepthStencilAttachment !== null);
        if (!this.currentMegaState.stencilWrite) {
          gl.enable(gl.STENCIL_TEST);
          gl.stencilMask(0xff);
          this.currentMegaState.stencilWrite = true;
        }
        if (isWebGL2(gl)) {
          gl.clearBufferiv(gl.STENCIL, 0, [stencilClearValue]);
        } else {
          gl.clearStencil(stencilClearValue);
          gl.clear(gl.STENCIL_BUFFER_BIT);
        }
      }
    };
    _proto.setBindings = function setBindings(bindingLayoutIndex, bindings_, dynamicByteOffsets) {
      var gl = this.gl;
      gPluginDeviceRenderer.assert(bindingLayoutIndex < this.currentPipeline.bindingLayouts.bindingLayoutTables.length);
      var bindingLayoutTable = this.currentPipeline.bindingLayouts.bindingLayoutTables[bindingLayoutIndex];
      var uniformBufferBindings = bindings_.uniformBufferBindings,
        samplerBindings = bindings_.samplerBindings;
      // Ignore extra bindings.
      gPluginDeviceRenderer.assert(uniformBufferBindings.length >= bindingLayoutTable.numUniformBuffers);
      gPluginDeviceRenderer.assert(samplerBindings.length >= bindingLayoutTable.numSamplers);
      gPluginDeviceRenderer.assert(dynamicByteOffsets.length >= uniformBufferBindings.length);
      for (var i = 0; i < uniformBufferBindings.length; i++) {
        var binding = uniformBufferBindings[i];
        if (binding.wordCount === 0) continue;
        var index = bindingLayoutTable.firstUniformBuffer + i;
        var buffer = binding.buffer;
        var byteOffset = dynamicByteOffsets[i];
        var byteSize = binding.wordCount * 4;
        if (buffer !== this.currentUniformBuffers[index] || byteOffset !== this.currentUniformBufferByteOffsets[index] || byteSize !== this.currentUniformBufferByteSizes[index]) {
          var platformBufferByteOffset = byteOffset % buffer.pageByteSize;
          var platformBuffer = buffer.gl_buffer_pages[byteOffset / buffer.pageByteSize | 0];
          gPluginDeviceRenderer.assert(platformBufferByteOffset + byteSize <= buffer.pageByteSize);
          if (isWebGL2(gl)) {
            gl.bindBufferRange(gl.UNIFORM_BUFFER, index, platformBuffer, platformBufferByteOffset, byteSize);
          }
          this.currentUniformBuffers[index] = buffer;
          this.currentUniformBufferByteOffsets[index] = byteOffset;
          this.currentUniformBufferByteSizes[index] = byteSize;
        }
      }
      for (var _i2 = 0; _i2 < bindingLayoutTable.numSamplers; _i2++) {
        var _binding = samplerBindings[_i2];
        var samplerIndex = bindingLayoutTable.firstSampler + _i2;
        var samplerEntry = bindingLayoutTable.samplerEntries[_i2];
        var gl_sampler = _binding !== null && _binding.sampler !== null ? getPlatformSampler(_binding.sampler) : null;
        var gl_texture = _binding !== null && _binding.texture !== null ? getPlatformTexture(_binding.texture) : null;
        if (this.currentSamplers[samplerIndex] !== gl_sampler) {
          if (isWebGL2(gl)) {
            gl.bindSampler(samplerIndex, gl_sampler);
          }
          this.currentSamplers[samplerIndex] = gl_sampler;
        }
        if (this.currentTextures[samplerIndex] !== gl_texture) {
          this.setActiveTexture(gl.TEXTURE0 + samplerIndex);
          if (gl_texture !== null) {
            // update index
            _binding.texture.textureIndex = samplerIndex;
            var _assertExists$texture = gPluginDeviceRenderer.assertExists(_binding).texture,
              gl_target = _assertExists$texture.gl_target,
              width = _assertExists$texture.width,
              height = _assertExists$texture.height;
            gl.bindTexture(gl_target, gl_texture);
            // In WebGL1 set tex's parameters @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/texParameter
            if (!isWebGL2(gl)) {
              var _binding$sampler;
              (_binding$sampler = _binding.sampler) === null || _binding$sampler === void 0 ? void 0 : _binding$sampler.setTextureParameters(gl_target, width, height);
            }
            this.debugGroupStatisticsTextureBind();
            gPluginDeviceRenderer.assert(samplerEntry.gl_target === gl_target);
            // assert(samplerEntry.formatKind === formatKind);
          } else {
            gl.bindTexture(samplerEntry.gl_target, this.getFallbackTexture(samplerEntry));
          }
          this.currentTextures[samplerIndex] = gl_texture;
        }
      }
    };
    _proto.setViewport = function setViewport(x, y, w, h) {
      var gl = this.gl;
      gl.viewport(x, y, w, h);
    };
    _proto.setScissor = function setScissor(x, y, w, h) {
      var gl = this.gl;
      this.setScissorEnabled(true);
      gl.scissor(x, y, w, h);
    };
    _proto.applyAttachmentStateIndexed = function applyAttachmentStateIndexed(i, currentAttachmentState, newAttachmentState) {
      var gl = this.gl;
      var dbi = this.OES_draw_buffers_indexed;
      if (currentAttachmentState.channelWriteMask !== newAttachmentState.channelWriteMask) {
        dbi.colorMaskiOES(i, !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Red), !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Green), !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Blue), !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Alpha));
        currentAttachmentState.channelWriteMask = newAttachmentState.channelWriteMask;
      }
      var blendModeChanged = currentAttachmentState.rgbBlendState.blendMode !== newAttachmentState.rgbBlendState.blendMode || currentAttachmentState.alphaBlendState.blendMode !== newAttachmentState.alphaBlendState.blendMode;
      var blendFuncChanged = currentAttachmentState.rgbBlendState.blendSrcFactor !== newAttachmentState.rgbBlendState.blendSrcFactor || currentAttachmentState.alphaBlendState.blendSrcFactor !== newAttachmentState.alphaBlendState.blendSrcFactor || currentAttachmentState.rgbBlendState.blendDstFactor !== newAttachmentState.rgbBlendState.blendDstFactor || currentAttachmentState.alphaBlendState.blendDstFactor !== newAttachmentState.alphaBlendState.blendDstFactor;
      if (blendFuncChanged || blendModeChanged) {
        if (isBlendStateNone(currentAttachmentState.rgbBlendState) && isBlendStateNone(currentAttachmentState.alphaBlendState)) dbi.enableiOES(i, gl.BLEND);else if (isBlendStateNone(newAttachmentState.rgbBlendState) && isBlendStateNone(newAttachmentState.alphaBlendState)) dbi.disableiOES(i, gl.BLEND);
      }
      if (blendModeChanged) {
        dbi.blendEquationSeparateiOES(i, newAttachmentState.rgbBlendState.blendMode, newAttachmentState.alphaBlendState.blendMode);
        currentAttachmentState.rgbBlendState.blendMode = newAttachmentState.rgbBlendState.blendMode;
        currentAttachmentState.alphaBlendState.blendMode = newAttachmentState.alphaBlendState.blendMode;
      }
      if (blendFuncChanged) {
        dbi.blendFuncSeparateiOES(i, newAttachmentState.rgbBlendState.blendSrcFactor, newAttachmentState.rgbBlendState.blendDstFactor, newAttachmentState.alphaBlendState.blendSrcFactor, newAttachmentState.alphaBlendState.blendDstFactor);
        currentAttachmentState.rgbBlendState.blendSrcFactor = newAttachmentState.rgbBlendState.blendSrcFactor;
        currentAttachmentState.alphaBlendState.blendSrcFactor = newAttachmentState.alphaBlendState.blendSrcFactor;
        currentAttachmentState.rgbBlendState.blendDstFactor = newAttachmentState.rgbBlendState.blendDstFactor;
        currentAttachmentState.alphaBlendState.blendDstFactor = newAttachmentState.alphaBlendState.blendDstFactor;
      }
    };
    _proto.applyAttachmentState = function applyAttachmentState(currentAttachmentState, newAttachmentState) {
      var gl = this.gl;
      if (currentAttachmentState.channelWriteMask !== newAttachmentState.channelWriteMask) {
        gl.colorMask(!!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Red), !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Green), !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Blue), !!(newAttachmentState.channelWriteMask & gPluginDeviceRenderer.ChannelWriteMask.Alpha));
        currentAttachmentState.channelWriteMask = newAttachmentState.channelWriteMask;
      }
      var blendModeChanged = currentAttachmentState.rgbBlendState.blendMode !== newAttachmentState.rgbBlendState.blendMode || currentAttachmentState.alphaBlendState.blendMode !== newAttachmentState.alphaBlendState.blendMode;
      var blendFuncChanged = currentAttachmentState.rgbBlendState.blendSrcFactor !== newAttachmentState.rgbBlendState.blendSrcFactor || currentAttachmentState.alphaBlendState.blendSrcFactor !== newAttachmentState.alphaBlendState.blendSrcFactor || currentAttachmentState.rgbBlendState.blendDstFactor !== newAttachmentState.rgbBlendState.blendDstFactor || currentAttachmentState.alphaBlendState.blendDstFactor !== newAttachmentState.alphaBlendState.blendDstFactor;
      if (blendFuncChanged || blendModeChanged) {
        if (isBlendStateNone(currentAttachmentState.rgbBlendState) && isBlendStateNone(currentAttachmentState.alphaBlendState)) {
          gl.enable(gl.BLEND);
        } else if (isBlendStateNone(newAttachmentState.rgbBlendState) && isBlendStateNone(newAttachmentState.alphaBlendState)) {
          gl.disable(gl.BLEND);
        }
      }
      if (blendModeChanged) {
        gl.blendEquationSeparate(newAttachmentState.rgbBlendState.blendMode, newAttachmentState.alphaBlendState.blendMode);
        currentAttachmentState.rgbBlendState.blendMode = newAttachmentState.rgbBlendState.blendMode;
        currentAttachmentState.alphaBlendState.blendMode = newAttachmentState.alphaBlendState.blendMode;
      }
      if (blendFuncChanged) {
        gl.blendFuncSeparate(newAttachmentState.rgbBlendState.blendSrcFactor, newAttachmentState.rgbBlendState.blendDstFactor, newAttachmentState.alphaBlendState.blendSrcFactor, newAttachmentState.alphaBlendState.blendDstFactor);
        currentAttachmentState.rgbBlendState.blendSrcFactor = newAttachmentState.rgbBlendState.blendSrcFactor;
        currentAttachmentState.alphaBlendState.blendSrcFactor = newAttachmentState.alphaBlendState.blendSrcFactor;
        currentAttachmentState.rgbBlendState.blendDstFactor = newAttachmentState.rgbBlendState.blendDstFactor;
        currentAttachmentState.alphaBlendState.blendDstFactor = newAttachmentState.alphaBlendState.blendDstFactor;
      }
    };
    _proto.setMegaState = function setMegaState(newMegaState) {
      var gl = this.gl;
      var currentMegaState = this.currentMegaState;
      if (this.OES_draw_buffers_indexed !== null) {
        for (var i = 0; i < newMegaState.attachmentsState.length; i++) {
          this.applyAttachmentStateIndexed(i, currentMegaState.attachmentsState[0], newMegaState.attachmentsState[0]);
        }
      } else {
        gPluginDeviceRenderer.assert(newMegaState.attachmentsState.length === 1);
        this.applyAttachmentState(currentMegaState.attachmentsState[0], newMegaState.attachmentsState[0]);
      }
      if (!gPluginDeviceRenderer.colorEqual(currentMegaState.blendConstant, newMegaState.blendConstant)) {
        gl.blendColor(newMegaState.blendConstant.r, newMegaState.blendConstant.g, newMegaState.blendConstant.b, newMegaState.blendConstant.a);
        gPluginDeviceRenderer.colorCopy(currentMegaState.blendConstant, newMegaState.blendConstant);
      }
      if (currentMegaState.depthCompare !== newMegaState.depthCompare) {
        gl.depthFunc(newMegaState.depthCompare);
        currentMegaState.depthCompare = newMegaState.depthCompare;
      }
      if (currentMegaState.depthWrite !== newMegaState.depthWrite) {
        gl.depthMask(newMegaState.depthWrite);
        currentMegaState.depthWrite = newMegaState.depthWrite;
      }
      if (currentMegaState.stencilWrite !== newMegaState.stencilWrite) {
        // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGLRenderingContext/stencilMask
        gl.stencilMask(newMegaState.stencilWrite ? 0xff : 0x00);
        currentMegaState.stencilWrite = newMegaState.stencilWrite;
      }
      if (currentMegaState.stencilPassOp !== newMegaState.stencilPassOp) {
        gl.stencilOp(gl.KEEP, gl.KEEP, newMegaState.stencilPassOp);
        currentMegaState.stencilPassOp = newMegaState.stencilPassOp;
      }
      if (currentMegaState.stencilRef !== newMegaState.stencilRef || currentMegaState.stencilCompare !== newMegaState.stencilCompare) {
        currentMegaState.stencilCompare = newMegaState.stencilCompare;
        this.setStencilRef(newMegaState.stencilRef);
      }
      if (currentMegaState.cullMode !== newMegaState.cullMode) {
        if (currentMegaState.cullMode === gPluginDeviceRenderer.CullMode.None) {
          gl.enable(gl.CULL_FACE);
        } else if (newMegaState.cullMode === gPluginDeviceRenderer.CullMode.None) {
          gl.disable(gl.CULL_FACE);
        }
        if (newMegaState.cullMode === gPluginDeviceRenderer.CullMode.Back) {
          gl.cullFace(gl.BACK);
        } else if (newMegaState.cullMode === gPluginDeviceRenderer.CullMode.Front) {
          gl.cullFace(gl.FRONT);
        } else if (newMegaState.cullMode === gPluginDeviceRenderer.CullMode.FrontAndBack) {
          gl.cullFace(gl.FRONT_AND_BACK);
        }
        currentMegaState.cullMode = newMegaState.cullMode;
      }
      if (currentMegaState.frontFace !== newMegaState.frontFace) {
        gl.frontFace(newMegaState.frontFace);
        currentMegaState.frontFace = newMegaState.frontFace;
      }
      if (currentMegaState.polygonOffset !== newMegaState.polygonOffset) {
        if (newMegaState.polygonOffset) {
          gl.polygonOffset(1, 1);
          gl.enable(gl.POLYGON_OFFSET_FILL);
        } else {
          gl.disable(gl.POLYGON_OFFSET_FILL);
        }
        currentMegaState.polygonOffset = newMegaState.polygonOffset;
      }
    };
    _proto.validatePipelineFormats = function validatePipelineFormats(pipeline) {
      for (var i = 0; i < this.currentColorAttachments.length; i++) {
        var attachment = this.currentColorAttachments[i];
        if (attachment === null) continue;
        gPluginDeviceRenderer.assert(attachment.pixelFormat === pipeline.colorAttachmentFormats[i]);
      }
      if (this.currentDepthStencilAttachment !== null) {
        gPluginDeviceRenderer.assert(this.currentDepthStencilAttachment.pixelFormat === pipeline.depthStencilAttachmentFormat);
      }
      if (this.currentSampleCount !== -1) {
        gPluginDeviceRenderer.assert(this.currentSampleCount === pipeline.sampleCount);
      }
    };
    _proto.setPipeline = function setPipeline(o) {
      this.currentPipeline = o;
      this.validatePipelineFormats(this.currentPipeline);
      // We allow users to use "non-ready" pipelines for emergencies. In this case, there can be a bit of stuttering.
      // assert(this.queryPipelineReady(this.currentPipeline));
      this.setMegaState(this.currentPipeline.megaState);
      var program = this.currentPipeline.program;
      this.useProgram(program);
      if (program.compileState === ProgramCompileState_GL.NeedsBind) {
        var gl = this.gl;
        var prog = program.gl_program;
        var deviceProgram = program.descriptor;
        var uniformBlocks = findall(deviceProgram.preprocessedVert, /uniform (\w+) {([^]*?)}/g);
        if (isWebGL2(gl)) {
          for (var i = 0; i < uniformBlocks.length; i++) {
            var _uniformBlocks$i = uniformBlocks[i],
              blockName = _uniformBlocks$i[1];
            // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/getUniformBlockIndex
            var blockIdx = gl.getUniformBlockIndex(prog, blockName);
            if (blockIdx !== -1 && blockIdx !== 0xffffffff) {
              // @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL2RenderingContext/uniformBlockBinding
              gl.uniformBlockBinding(prog, blockIdx, i);
            }
          }
        }
        var samplers = findall(deviceProgram.preprocessedVert, /^uniform .*sampler\S+ (\w+);\s* \/\/ BINDING=(\d+)$/gm);
        for (var _i3 = 0; _i3 < samplers.length; _i3++) {
          var _samplers$_i = samplers[_i3],
            name = _samplers$_i[1],
            location = _samplers$_i[2];
          var samplerUniformLocation = gl.getUniformLocation(prog, name);
          gl.uniform1i(samplerUniformLocation, parseInt(location));
        }
        program.compileState = ProgramCompileState_GL.ReadyToUse;
      }
    };
    _proto.setInputState = function setInputState(inputState_) {
      var inputState = inputState_;
      this.currentInputState = inputState;
      if (this.currentInputState !== null) {
        gPluginDeviceRenderer.assert(this.currentPipeline.inputLayout === this.currentInputState.inputLayout);
        this.bindVAO(this.currentInputState.vao);
      } else {
        gPluginDeviceRenderer.assert(this.currentPipeline.inputLayout === null);
        this.bindVAO(null);
      }
    };
    _proto.setStencilRef = function setStencilRef(value) {
      if (this.currentStencilRef === value) {
        return;
      }
      this.currentStencilRef = value;
      this.applyStencil();
    };
    _proto.draw = function draw(count, firstVertex) {
      var gl = this.gl;
      var pipeline = this.currentPipeline;
      gl.drawArrays(pipeline.drawMode, firstVertex, count);
      this.debugGroupStatisticsDrawCall();
      this.debugGroupStatisticsTriangles(count / 3);
    };
    _proto.drawIndexed = function drawIndexed(count, firstIndex) {
      var gl = this.gl;
      var pipeline = this.currentPipeline;
      var inputState = this.currentInputState;
      var byteOffset = gPluginDeviceRenderer.assertExists(inputState.indexBufferByteOffset) + firstIndex * gPluginDeviceRenderer.assertExists(inputState.indexBufferCompByteSize);
      gl.drawElements(pipeline.drawMode, count, gPluginDeviceRenderer.assertExists(inputState.indexBufferType), byteOffset);
      this.debugGroupStatisticsDrawCall();
      this.debugGroupStatisticsTriangles(count / 3);
    };
    _proto.drawIndexedInstanced = function drawIndexedInstanced(count, firstIndex, instanceCount) {
      var gl = this.gl;
      var pipeline = this.currentPipeline;
      var inputState = this.currentInputState;
      var byteOffset = gPluginDeviceRenderer.assertExists(inputState.indexBufferByteOffset) + firstIndex * gPluginDeviceRenderer.assertExists(inputState.indexBufferCompByteSize);
      var params = [pipeline.drawMode, count, gPluginDeviceRenderer.assertExists(inputState.indexBufferType), byteOffset, instanceCount];
      if (isWebGL2(gl)) {
        gl.drawElementsInstanced.apply(gl, params);
      } else {
        var _this$ANGLE_instanced;
        (_this$ANGLE_instanced = this.ANGLE_instanced_arrays).drawElementsInstancedANGLE.apply(_this$ANGLE_instanced, params);
      }
      this.debugGroupStatisticsDrawCall();
      this.debugGroupStatisticsTriangles(count / 3 * instanceCount);
    };
    _proto.beginOcclusionQuery = function beginOcclusionQuery(dstOffs) {
      var gl = this.gl;
      if (isWebGL2(gl)) {
        var queryPool = this.currentRenderPassDescriptor.occlusionQueryPool;
        gl.beginQuery(queryPool.gl_query_type, queryPool.gl_query[dstOffs]);
      }
    };
    _proto.endOcclusionQuery = function endOcclusionQuery(dstOffs) {
      var gl = this.gl;
      if (isWebGL2(gl)) {
        var queryPool = this.currentRenderPassDescriptor.occlusionQueryPool;
        gl.endQuery(queryPool.gl_query_type);
      }
    };
    _proto.beginDebugGroup = function beginDebugGroup(name) {};
    _proto.endDebugGroup = function endDebugGroup() {};
    _proto.pipelineQueryReady = function pipelineQueryReady(o) {
      var pipeline = o;
      return this.queryProgramReady(pipeline.program);
    };
    _proto.pipelineForceReady = function pipelineForceReady(o) {
      // No need to do anything; it will be forced to compile when used naturally.
    };
    _proto.endPass = function endPass() {
      var gl = this.gl;
      var didUnbindDraw = false;
      for (var i = 0; i < this.currentColorAttachments.length; i++) {
        var colorResolveFrom = this.currentColorAttachments[i];
        if (colorResolveFrom !== null) {
          var colorResolveTo = this.currentColorResolveTos[i];
          var didBindRead = false;
          if (colorResolveTo !== null) {
            gPluginDeviceRenderer.assert(colorResolveFrom.width === colorResolveTo.width && colorResolveFrom.height === colorResolveTo.height);
            gPluginDeviceRenderer.assert(colorResolveFrom.pixelFormat === colorResolveTo.pixelFormat);
            this.setScissorEnabled(false);
            if (isWebGL2(gl)) {
              gl.bindFramebuffer(gl.READ_FRAMEBUFFER, this.resolveColorReadFramebuffer);
            }
            if (this.resolveColorAttachmentsChanged) {
              if (isWebGL2(gl)) {
                this.bindFramebufferAttachment(gl.READ_FRAMEBUFFER, gl.COLOR_ATTACHMENT0, colorResolveFrom);
              }
            }
            didBindRead = true;
            // Special case: Blitting to the on-screen.
            if (colorResolveTo === this.scTexture) {
              gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.scPlatformFramebuffer);
            } else {
              gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.resolveColorDrawFramebuffer);
              if (this.resolveColorAttachmentsChanged) gl.framebufferTexture2D(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, colorResolveTo.gl_texture, 0);
            }
            if (isWebGL2(gl)) {
              gl.blitFramebuffer(0, 0, colorResolveFrom.width, colorResolveFrom.height, 0, 0, colorResolveTo.width, colorResolveTo.height, gl.COLOR_BUFFER_BIT, gl.LINEAR);
              gl.bindFramebuffer(gl.DRAW_FRAMEBUFFER, null);
            } else {
              // need an extra render pass in WebGL1
              this.submitBlitRenderPass(colorResolveFrom, colorResolveTo);
            }
            didUnbindDraw = true;
          }
          if (!this.currentRenderPassDescriptor.colorStore[i]) {
            if (!didBindRead) {
              gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.resolveColorReadFramebuffer);
              if (this.resolveColorAttachmentsChanged) this.bindFramebufferAttachment(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, colorResolveFrom);
            }
            if (isWebGL2(gl)) {
              gl.invalidateFramebuffer(gl.READ_FRAMEBUFFER, [gl.COLOR_ATTACHMENT0]);
            }
          }
          gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, null);
        }
      }
      this.resolveColorAttachmentsChanged = false;
      var depthStencilResolveFrom = this.currentDepthStencilAttachment;
      if (depthStencilResolveFrom !== null) {
        var depthStencilResolveTo = this.currentDepthStencilResolveTo;
        var _didBindRead = false;
        if (depthStencilResolveTo !== null) {
          gPluginDeviceRenderer.assert(depthStencilResolveFrom.width === depthStencilResolveTo.width && depthStencilResolveFrom.height === depthStencilResolveTo.height);
          this.setScissorEnabled(false);
          gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.resolveDepthStencilReadFramebuffer);
          gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.resolveDepthStencilDrawFramebuffer);
          if (this.resolveDepthStencilAttachmentsChanged) {
            this.bindFramebufferDepthStencilAttachment(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, depthStencilResolveFrom);
            this.bindFramebufferDepthStencilAttachment(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, depthStencilResolveTo);
          }
          _didBindRead = true;
          if (isWebGL2(gl)) {
            gl.blitFramebuffer(0, 0, depthStencilResolveFrom.width, depthStencilResolveFrom.height, 0, 0, depthStencilResolveTo.width, depthStencilResolveTo.height, gl.DEPTH_BUFFER_BIT, gl.NEAREST);
          }
          gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, null);
          didUnbindDraw = true;
        }
        if (!this.currentRenderPassDescriptor.depthStencilStore) {
          if (!_didBindRead) {
            gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, this.resolveDepthStencilReadFramebuffer);
            if (this.resolveDepthStencilAttachmentsChanged) this.bindFramebufferDepthStencilAttachment(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, depthStencilResolveFrom);
            _didBindRead = true;
          }
          if (isWebGL2(gl)) {
            gl.invalidateFramebuffer(gl.READ_FRAMEBUFFER, [gl.DEPTH_STENCIL_ATTACHMENT]);
          }
        }
        if (_didBindRead) gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.READ_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, null);
        this.resolveDepthStencilAttachmentsChanged = false;
      }
      if (!didUnbindDraw) {
        // If we did not unbind from a resolve, then we need to unbind our render pass draw FBO here.
        gl.bindFramebuffer(isWebGL2(gl) ? gPluginDeviceRenderer.GL.DRAW_FRAMEBUFFER : gPluginDeviceRenderer.GL.FRAMEBUFFER, null);
      }
    };
    _proto.setScissorEnabled = function setScissorEnabled(v) {
      if (this.currentScissorEnabled === v) {
        return;
      }
      var gl = this.gl;
      if (v) {
        gl.enable(gl.SCISSOR_TEST);
      } else {
        gl.disable(gl.SCISSOR_TEST);
      }
      this.currentScissorEnabled = v;
    };
    _proto.applyStencil = function applyStencil() {
      if (this.currentStencilRef === null) {
        return;
      }
      this.gl.stencilFunc(this.currentMegaState.stencilCompare, this.currentStencilRef, 0xff);
    };
    _proto.getFallbackTexture = function getFallbackTexture(samplerEntry) {
      var gl_target = samplerEntry.gl_target,
        formatKind = samplerEntry.formatKind;
      if (gl_target === gPluginDeviceRenderer.GL.TEXTURE_2D) return formatKind === gPluginDeviceRenderer.SamplerFormatKind.Depth ? this.fallbackTexture2DDepth : this.fallbackTexture2D;else if (gl_target === gPluginDeviceRenderer.GL.TEXTURE_2D_ARRAY) return this.fallbackTexture2DArray;else if (gl_target === gPluginDeviceRenderer.GL.TEXTURE_3D) return this.fallbackTexture3D;else if (gl_target === gPluginDeviceRenderer.GL.TEXTURE_CUBE_MAP) return this.fallbackTextureCube;else throw new Error('whoops');
    };
    _proto.submitBlitRenderPass = function submitBlitRenderPass(resolveFrom, resolveTo) {
      if (!this.blitRenderPipeline) {
        var vertexBuffer = gPluginDeviceRenderer.makeStaticDataBuffer(this, gPluginDeviceRenderer.BufferUsage.VERTEX | gPluginDeviceRenderer.BufferUsage.COPY_DST, new Float32Array([-4, -4, 4, -4, 0, 4]).buffer);
        var inputLayout = this.createInputLayout({
          vertexBufferDescriptors: [{
            byteStride: 4 * 2,
            frequency: gPluginDeviceRenderer.VertexBufferFrequency.PerVertex
          }],
          vertexAttributeDescriptors: [{
            format: gPluginDeviceRenderer.Format.F32_RG,
            bufferIndex: 0,
            bufferByteOffset: 4 * 0,
            location: 0
          }],
          indexBufferFormat: null
        });
        var bindingLayouts = [{
          numSamplers: 1,
          numUniformBuffers: 0
        }];
        var program = this.createProgram(_extends({}, gPluginDeviceRenderer.preprocessProgramObj_GLSL(this, new gPluginDeviceRenderer.CopyProgram()), {
          ensurePreprocessed: function ensurePreprocessed() {},
          associate: function associate() {}
        }));
        this.blitInputState = this.createInputState(inputLayout, [{
          buffer: vertexBuffer,
          byteOffset: 0
        }], null, program);
        this.blitRenderPipeline = this.createRenderPipeline({
          topology: gPluginDeviceRenderer.PrimitiveTopology.Triangles,
          sampleCount: 1,
          program: program,
          bindingLayouts: bindingLayouts,
          colorAttachmentFormats: [gPluginDeviceRenderer.Format.U8_RGBA_RT],
          depthStencilAttachmentFormat: null,
          inputLayout: inputLayout,
          // megaStateDescriptor: copyMegaState(defaultMegaState),
          megaStateDescriptor: this.currentMegaState
        });
        // const colorTexture = this.currentColorAttachments[0].texture;
        this.blitBindings = this.createBindings({
          bindingLayout: bindingLayouts[0],
          samplerBindings: [{
            sampler: null,
            texture: resolveFrom.texture,
            lateBinding: null
          }],
          uniformBufferBindings: []
        });
        program.setUniforms({
          u_Texture: resolveFrom
        });
      }
      // save currentRenderPassDescriptor since we're already in a render pass
      var currentRenderPassDescriptor = this.currentRenderPassDescriptor;
      this.currentRenderPassDescriptor = null;
      this.inBlitRenderPass = true;
      var blitRenderPass = this.createRenderPass({
        colorAttachment: [resolveFrom],
        colorResolveTo: [resolveTo],
        colorClearColor: [gPluginDeviceRenderer.TransparentBlack],
        colorStore: [true],
        depthStencilAttachment: null,
        depthStencilResolveTo: null,
        depthStencilStore: true,
        depthClearValue: 'load',
        stencilClearValue: 'load',
        occlusionQueryPool: null
      });
      var _this$getCanvas = this.getCanvas(),
        width = _this$getCanvas.width,
        height = _this$getCanvas.height;
      blitRenderPass.setPipeline(this.blitRenderPipeline);
      blitRenderPass.setBindings(0, this.blitBindings, [0]);
      blitRenderPass.setInputState(this.blitInputState);
      blitRenderPass.setViewport(0, 0, width, height);
      // disable blending for blit
      this.gl.disable(this.gl.BLEND);
      blitRenderPass.draw(3, 0);
      this.gl.enable(this.gl.BLEND);
      // restore
      this.currentRenderPassDescriptor = currentRenderPassDescriptor;
      this.inBlitRenderPass = false;
    };
    return Device_GL;
  }();

  var WebGLDeviceContribution = /*#__PURE__*/function () {
    function WebGLDeviceContribution(pluginOptions) {
      this.pluginOptions = void 0;
      this.pluginOptions = pluginOptions;
    }
    var _proto = WebGLDeviceContribution.prototype;
    _proto.createSwapChain = /*#__PURE__*/function () {
      var _createSwapChain = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee($canvas) {
        var options, targets, gl;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                options = {
                  // alpha: true,
                  antialias: false,
                  // @see https://stackoverflow.com/questions/27746091/preservedrawingbuffer-false-is-it-worth-the-effort
                  preserveDrawingBuffer: false,
                  // @see https://webglfundamentals.org/webgl/lessons/webgl-qna-how-to-use-the-stencil-buffer.html
                  stencil: true
                  // @see https://webglfundamentals.org/webgl/lessons/webgl-and-alpha.html
                  // premultipliedAlpha: true,
                }; // this.handleContextEvents($canvas);
                targets = this.pluginOptions.targets;
                if (targets.includes('webgl2')) {
                  gl = $canvas.getContext('webgl2', options) || $canvas.getContext('experimental-webgl2', options);
                }
                if (!gl && targets.includes('webgl1')) {
                  gl = $canvas.getContext('webgl', options) || $canvas.getContext('experimental-webgl', options);
                }
                return _context.abrupt("return", new Device_GL(gl, {
                  shaderDebug: true,
                  trackResources: true
                }));
              case 5:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));
      function createSwapChain(_x) {
        return _createSwapChain.apply(this, arguments);
      }
      return createSwapChain;
    }();
    return WebGLDeviceContribution;
  }();

  var Plugin = /*#__PURE__*/function (_AbstractRendererPlug) {
    _inheritsLoose(Plugin, _AbstractRendererPlug);
    function Plugin(options) {
      var _this;
      _this = _AbstractRendererPlug.call(this) || this;
      _this.options = void 0;
      _this.name = 'webgl-device';
      _this.options = options;
      return _this;
    }
    var _proto = Plugin.prototype;
    _proto.init = function init() {
      // @ts-ignore
      this.context.deviceContribution = new WebGLDeviceContribution(_extends({}, this.options));
    };
    _proto.destroy = function destroy() {
      // @ts-ignore
      delete this.context.deviceContribution;
    };
    return Plugin;
  }(gLite.AbstractRendererPlugin);

  exports.Plugin = Plugin;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
